View Issue Details

IDProjectCategoryView StatusLast Update
0025413PatchesPatchpublic2014-01-15 21:39
Reporterdelfion Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version1.0.12 
Summary0025413: Finnish translation
DescriptionCorrected some compound words.
TagsNo tags attached.
Fixed in Revisionr43531, r43729
LazTarget-
Widgetset
Attached Files

Activities

delfion

2013-12-09 13:50

reporter  

lazaruside.fi.po (540,918 bytes)

Juha Manninen

2013-12-09 14:20

developer   ~0071837

This is rejected because it reverses my big translation update from 30.11.
I know there is an advice to copy full .po files but I would be happy with a diff patch. A patch has the same benefits with .po files as it has with other text files:
1. The changes are easy to see at once
2. It prevents overwriting other changes by accident when a merge conflict happens.

Please create a patch (or new .po file) which contains my translations.

BTW...
Jos keksit hyvän suomennoksen sanalle "build" niin kerro. Suomennos "kääntää" on jo käytössä. Olen nyt käyttänyt sanaa "koota".

delfion

2013-12-09 21:01

reporter   ~0071845

Build -> väännä ;)

Käännösehdotuksessa poistin kääntäjän asetuksista sanan kohde, joka toistuu monesti, kun se käy ilmi jo edellä kohdasta kohdealusta. Muuten paljon pilkunviilausta.

IDE editor color setting is confusing as foreground means font and text-mark means frame ja sama suomeksi.

delfion

2013-12-09 21:01

reporter  

erot (32,326 bytes)   
14c14
< msgstr "Valitse estettävät ryhmät kun keskeytyskohta aktivoituu"
---
> msgstr "Valitse estettävät ryhmät, kun keskeytyskohta aktivoituu"
18c18
< msgstr "Valitse sallittavat ryhmät kun keskeytyskohta aktivoituu"
---
> msgstr "Valitse sallittavat ryhmät, kun keskeytyskohta aktivoituu"
577c577
< msgstr "Kun tehdään uusi lomake niin se laitetaan automaattisesti luotaviin lomakkeisiin"
---
> msgstr "Kun tehdään uusi lomake, niin se laitetaan automaattisesti luotaviin lomakkeisiin"
814c814
< msgstr "C tyyliset operaattorit (*=, +=, /= and -=)"
---
> msgstr "C-tyyliset operaattorit (*=, +=, /= and -=)"
1005c1005
< msgstr "Ylivouto"
---
> msgstr "Ylivuoto"
1017c1017
< msgstr "Kopioi sana kun valittuna ei mitään"
---
> msgstr "Kopioi sana, kun valittuna ei mitään"
1045c1045
< msgstr "Muut lähdekoodit (.pp/.pas tiedostot, vain IDE käyttää, ei kääntäjä)"
---
> msgstr "Muut lähdekoodit (.pp/.pas-tiedostot, vain IDE käyttää, ei kääntäjä)"
1098c1098
< msgstr "C++ tyylinen INLINE"
---
> msgstr "C++ -tyylinen INLINE"
1106c1106
< msgstr "Aalto { }"
---
> msgstr "Aaltosulut { }"
1468c1468
< msgstr "Käytä ulkoista gdb symboli-tiedostoa"
---
> msgstr "Käytä ulkoista gdb-symbolitiedostoa"
1655c1655
< msgstr "Teksti-merkki"
---
> msgstr "Tekstimerkki"
1880c1880
< msgstr "Constructor nimen täytyy olla 'init' (destructor täytyy olla 'done')"
---
> msgstr "Constructor-nimen täytyy olla 'init' (destructor täytyy olla 'done')"
2060c2060
< msgstr "Termi %s on jo olemassa. Päällekkäisyydet poistetaan kun luettelo tallennetaan."
---
> msgstr "Termi %s on jo olemassa. Päällekkäisyydet poistetaan, kun luettelo tallennetaan."
2479c2479
< msgstr "Rivi ei katkea kun sitä edeltää"
---
> msgstr "Rivi ei katkea, kun sitä edeltää"
2483c2483
< msgstr "Rivi ei katkea kun sitä seuraa"
---
> msgstr "Rivi ei katkea, kun sitä seuraa"
2506c2506
< msgstr "Nopeus asetukset"
---
> msgstr "Nopeusasetukset"
3067c3067
< msgstr "Kohde CPU perhe"
---
> msgstr "CPU-perhe"
3072c3072
< msgstr "Kohde käyttis"
---
> msgstr "Käyttöjärjestelmä"
3080c3080
< msgstr "Kohde prosessori"
---
> msgstr "Prosessori"
3257c3257
< msgstr "Kirjoita FPC logo"
---
> msgstr "Kirjoita FPC-logo"
3416c3416
< msgstr "Pascal käännösyksiköllä pitää olla pääte .pp tai .pas"
---
> msgstr "Pascal-käännösyksiköllä pitää olla pääte .pp tai .pas"
3521c3521
< msgstr "Pascal käännösyksikön pääte on joko .pp tai .pas"
---
> msgstr "Pascal-käännösyksikön pääte on joko .pp tai .pas"
3546c3546
< msgstr "Kantatyyppi %s%s%s ei ole kelvollinen Pascal tunniste."
---
> msgstr "Kantatyyppi %s%s%s ei ole kelvollinen Pascal-tunniste."
3562c3562
< msgstr "Luokan nimi %s%s%s ei ole kelvollinen Pascal tunniste."
---
> msgstr "Luokan nimi %s%s%s ei ole kelvollinen Pascal-tunniste."
3669c3669
< msgstr "Lisenssi: GPL/LGPL. Katso Lazaruksen ja Free Pascalin lähdekoodeista tarkemmat lisenssit.%sLazarus on IDE millä voi tehdä graafisia ja komentorivi-sovelluksia Free Pascal kielellä. Free Pascal on (Object) Pascal kääntäjä, mikä toimii mm. Windows, Linux, Mac OS X, FreeBSD ym. käyttöjärjestelmissä.%sLazarus on puuttuva lenkki, mikä sallii ohjelmoinnin kaikille em. alustoille Delphin kaltaisessa ympäristössä. IDE on RAD työkalu, missä mukana on lomakeiden suunnittelu.%sLazaruksen kasvaessa tarvitsemme lisää kehittäjiä."
---
> msgstr "Lisenssi: GPL/LGPL. Katso Lazaruksen ja Free Pascalin lähdekoodeista tarkemmat lisenssit.%sLazarus on IDE, millä voi tehdä graafisia ja komentorivisovelluksia Free Pascal -kielellä. Free Pascal on (Object) Pascal kääntäjä, joka toimii mm. Windows, Linux, Mac OS X, FreeBSD ym. käyttöjärjestelmissä.%sLazarus on puuttuva lenkki, joka sallii ohjelmoinnin kaikille em. alustoille Delphin kaltaisessa ympäristössä. IDE on RAD-työkalu, missä mukana on lomakeiden suunnittelu.%sLazaruksen kasvaessa tarvitsemme lisää kehittäjiä."
3814c3814
< msgstr "Sisältää Register aliohjelman"
---
> msgstr "Sisältää Register-aliohjelman"
3992c3992
< msgstr "Virhe esiintyi kun avattiin projektia %s!%s%sAvataanko tämä projekti uudelleen?"
---
> msgstr "Virhe esiintyi, kun avattiin projektia %s!%s%sAvataanko tämä projekti uudelleen?"
4000c4000
< msgstr "Graafinen Free Pascal ohjelma käyttäen monen ympäristön LCL GUI-kirjastoa."
---
> msgstr "Graafinen Free Pascal -ohjelma käyttäen monen ympäristön LCL GUI-kirjastoa."
4033c4033
< msgstr "Kysy komponentin nimi kun se on laitettu lomake-editorille"
---
> msgstr "Kysy komponentin nimi, kun se on laitettu lomake-editorille"
4074c4074
< msgstr "Automaattisesti muuta .lfm tiedostot .lrs tiedostoiksi"
---
> msgstr "Automaattisesti muuta .lfm-tiedostot .lrs-tiedostoiksi"
4146c4146
< msgstr "Näkyy parhaiten kun asentaa HTML komponentin kuten turbopoweriprodsgn"
---
> msgstr "Näkyy parhaiten, kun asentaa HTML komponentin kuten turbopoweriprodsgn"
4198c4198
< msgstr "Tämä on naapuri-kontrolli, mihin alareuna on ankkuroitu. Tyhjä tarkoittaa emo-kontrollia."
---
> msgstr "Tämä on naapurikontrolli, mihin alareuna on ankkuroitu. Tyhjä tarkoittaa emokontrollia."
4338c4338
< msgstr "Peru uudelleen nimeäminen"
---
> msgstr "Peru uudelleennimeäminen"
4407c4407
< msgstr "FPC:n .ppu tiedostojen aikaleimat eroavat yli tunnilla.%sSe voi tarkoittaa, että ne ovat kahdesta eri asennuksesta.%sTiedosto1: %s%sTiedosto2: %s"
---
> msgstr "FPC:n .ppu-tiedostojen aikaleimat eroavat yli tunnilla.%sSe voi tarkoittaa, että ne ovat kahdesta eri asennuksesta.%sTiedosto1: %s%sTiedosto2: %s"
4448c4448
< msgstr "FPC käännösyksikköä: %s.ppu ei löydy käännettynä"
---
> msgstr "FPC-käännösyksikköä: %s.ppu ei löydy käännettynä"
4476c4476
< msgstr "Polussa on monta Free Pascal kääntäjää.%s%s%sEhkä unohdit poistaa vanhan kääntäjän?"
---
> msgstr "Polussa on monta Free Pascal -kääntäjää.%s%s%sEhkä unohdit poistaa vanhan kääntäjän?"
4496c4496
< msgstr "Pascal testitiedoston \"%s\" luonti ei onnistu."
---
> msgstr "Pascal-testitiedoston \"%s\" luonti ei onnistu."
4556c4556
< msgstr "On juuri-kontrolli"
---
> msgstr "On juurikontrolli"
4902c4902
< msgstr "Valitse CodeTools mallitiedosto"
---
> msgstr "Valitse CodeTools-mallitiedosto"
4906c4906
< msgstr "Valitse FPDoc linkki"
---
> msgstr "Valitse FPDoc-linkki"
4922c4922
< msgstr "Valitse FPC viestitiedosto"
---
> msgstr "Valitse FPC-viestitiedosto"
4926c4926
< msgstr "Valitse sisennys-esimerkiksi Pascal-tiedosto"
---
> msgstr "Valitse sisennysesimerkiksi Pascal-tiedosto"
5145c5145
< msgstr "LCL rajapintaan liittyvät asetukset:"
---
> msgstr "LCL-rajapintaan liittyvät asetukset:"
5247c5247
< msgstr "FPDoc asetukset"
---
> msgstr "FPDoc-asetukset"
5289c5289
< msgstr "FPDoc muokkain"
---
> msgstr "FPDoc-muokkain"
5404c5404
< msgstr "Luo määritykset Free Pascal kääntäjälle"
---
> msgstr "Luo määritykset Free Pascal -kääntäjälle"
5408c5408
< msgstr "Luo määritykset Free Pascal SVN koodeille"
---
> msgstr "Luo määritykset Free Pascal SVN -koodeille"
5416c5416
< msgstr "Luo FPC makrot ja polut FPC projektihakemistolle"
---
> msgstr "Luo FPC-makrot ja polut FPC-projektihakemistolle"
5460c5460
< msgstr "FPC SVN lähdehakemisto"
---
> msgstr "FPC:n SVN-lähdehakemisto"
5481c5481
< msgstr "Lisää Delphi 5 kääntäjän malline"
---
> msgstr "Lisää Delphi 5 -kääntäjän malline"
5485c5485
< msgstr "Lisää Delphi 5 hakemiston malline"
---
> msgstr "Lisää Delphi 5 -hakemiston malline"
5489c5489
< msgstr "Lisää Delphi 5 projektin malline"
---
> msgstr "Lisää Delphi 5 -projektin malline"
5493c5493
< msgstr "Lisää Delphi 6 kääntäjän malline"
---
> msgstr "Lisää Delphi 6 -kääntäjän malline"
5497c5497
< msgstr "Lisää Delphi 6 hakemiston malline"
---
> msgstr "Lisää Delphi 6 -hakemiston malline"
5501c5501
< msgstr "Lisää Delphi 6 projektin malline"
---
> msgstr "Lisää Delphi 6 -projektin malline"
5505c5505
< msgstr "Lisää Delphi 7 kääntäjän malline"
---
> msgstr "Lisää Delphi 7 -kääntäjän malline"
5509c5509
< msgstr "Lisää Delphi 7 hakemiston malline"
---
> msgstr "Lisää Delphi 7 -hakemiston malline"
5513c5513
< msgstr "Lisää Delphi 7 projektin malline"
---
> msgstr "Lisää Delphi 7 -projektin malline"
5517c5517
< msgstr "Lisää Free Pascal kääntäjän malline"
---
> msgstr "Lisää Free Pascal -kääntäjän malline"
5521c5521
< msgstr "Lisää Free Pascal projektin malline"
---
> msgstr "Lisää Free Pascal -projektin malline"
5525c5525
< msgstr "Lisää Free Pascal SVN lähdemalline"
---
> msgstr "Lisää Free Pascal SVN -lähdemalline"
5529c5529
< msgstr "Lisää Kylix 3 kääntäjän malline"
---
> msgstr "Lisää Kylix 3 -kääntäjän malline"
5533c5533
< msgstr "Lisää Kylix 3 hakemiston malline"
---
> msgstr "Lisää Kylix 3 -hakemiston malline"
5537c5537
< msgstr "Lisää Kylix 3 projektin malline"
---
> msgstr "Lisää Kylix 3 -projektin malline"
5606c5606
< msgstr "Emo-solmu ei voi sisältää lapsi-solmuja"
---
> msgstr "Emosolmu ei voi sisältää lapsi-solmuja"
5635c5635
< msgstr "Free Pascal SVN lähdehakemisto. Ei välttämätön. Auttaa määritysten haussa ja virheenjäljityksessä."
---
> msgstr "Free Pascal SVN -lähdehakemisto. Ei välttämätön. Auttaa määritysten haussa ja virheenjäljityksessä."
5639c5639
< msgstr "Free Pascal projektihakemisto."
---
> msgstr "Free Pascal -projektihakemisto."
5643c5643
< msgstr "Free Pascal SVN lähdehakemisto."
---
> msgstr "Free Pascal SVN -lähdehakemisto."
5647c5647
< msgstr "Free Pascal kääntäjän polku.%s Esim. %s/usr/bin/%s -n%s tai %s/usr/local/bin/fpc @/etc/fpc.cfg%s."
---
> msgstr "Free Pascal -kääntäjän polku.%s Esim. %s/usr/bin/%s -n%s tai %s/usr/local/bin/fpc @/etc/fpc.cfg%s."
5651c5651
< msgstr "Free Pascal kääntäjän polku tälle projektille. Tarvitaan vain jos FPC SVN lähde asetataan (alla). Käytetään makrojen luontiin."
---
> msgstr "Free Pascal -kääntäjän polku tälle projektille. Tarvitaan vain jos FPC SVN -lähde asetataan (alla). Käytetään makrojen luontiin."
5655c5655
< msgstr "Free Pascal kääntäjän polku tälle koodille.%sKäytetään makrojen luontiin."
---
> msgstr "Free Pascal -kääntäjän polku tälle koodille.%sKäytetään makrojen luontiin."
5659c5659
< msgstr "Projektin %s hakemisto,%smissä ovat .dpr, dpk tiedostot."
---
> msgstr "Projektin %s hakemisto,%smissä ovat .dpr- ja dpk-tiedostot."
5671c5671
< msgstr "Poista Recurse määrittely"
---
> msgstr "Poista Recurse-määrittely"
5754c5754
< msgstr "CodeTools mallinetiedosto"
---
> msgstr "CodeTools-mallinetiedosto"
5832c5832
< msgstr "Huom. luetaan vanha codetools asetustiedosto: "
---
> msgstr "Huom. luetaan vanha codetools-asetustiedosto: "
5903c5903
< msgstr "Lazaruksen asetus-hakemisto"
---
> msgstr "Lazaruksen asetushakemisto"
5968c5968
< msgstr "Free Pascal komentoriviohjelma. Käyttää TCustomApplication luokkaa parametrien lukemiseen, keskytysten hallintaan jne."
---
> msgstr "Free Pascal -komentoriviohjelma. Käyttää TCustomApplication-luokkaa parametrien lukemiseen, keskeytysten hallintaan jne."
6053c6053
< msgstr "Muunna Delphi paketti"
---
> msgstr "Muunna Delphi-paketti"
6057c6057
< msgstr "Muunna Delphi projekti"
---
> msgstr "Muunna Delphi-projekti"
6061c6061
< msgstr "Muunna Delphi käännösyksikkö"
---
> msgstr "Muunna Delphi-käännösyksikkö"
6105c6105
< msgstr "Delphi functio"
---
> msgstr "Delphi-funktio"
6113c6113
< msgstr "Delphi nimi"
---
> msgstr "Delphi-nimi"
6199c6199
< msgstr "Käytä samaa DFM lomaketiedostoa"
---
> msgstr "Käytä samaa DFM-lomaketiedostoa"
6203c6203
< msgstr "Sama DFM lomake Lazaruksen ja Delphin käyttöön. Ei kopioida LFM lomakkeeksi"
---
> msgstr "Sama DFM-lomake Lazaruksen ja Delphin käyttöön. Ei kopioida LFM-lomakkeeksi"
6219c6219
< msgstr "Jotkut Delphin funktiot voidaan korvata LCL funktioilla"
---
> msgstr "Jotkut Delphin-funktiot voidaan korvata LCL-funktioilla"
6235c6235
< msgstr "Emo-säiliö"
---
> msgstr "Emosäiliö"
6328c6328
< msgstr "Käy läpi FPC viestit"
---
> msgstr "Käy läpi FPC-viestit"
6384c6384
< msgstr "Luo Debug ja Release moodit"
---
> msgstr "Luo Debug- ja Release-moodit"
6416c6416
< msgstr "Luo tai päivitä .po tiedosto kun lfm tiedosto talletetaan"
---
> msgstr "Luo tai päivitä .po-tiedosto, kun lfm-tiedosto talletetaan"
6438c6438
< msgstr "CodeTools hakemiston arvot"
---
> msgstr "CodeTools-hakemiston arvot"
6503c6503
< msgstr "Nämä asetukset viedään kääntäjälle kun kommentit on poistettu ja makrot korvattu."
---
> msgstr "Nämä asetukset viedään kääntäjälle, kun kommentit on poistettu ja makrot korvattu."
6519c6519
< msgstr "Mukautettu Free Pascal ohjelma."
---
> msgstr "Mukautettu Free Pascal -ohjelma."
6619c6619
< msgstr "Näytä virheenjäljitys-teksti"
---
> msgstr "Näytä virheenjäljitysteksti"
6750c6750
< msgstr "Virheenjäljitin-kohtaiset asetukset (riippuu tyypistä)"
---
> msgstr "Virheenjäljitinkohtaiset asetukset (riippuu tyypistä)"
7066c7066
< msgstr "Hakemisto mihin IDE laittaa .po tiedostot"
---
> msgstr "Hakemisto mihin IDE laittaa .po-tiedostot"
7278c7278
< msgstr "Valitse emo-komponentti"
---
> msgstr "Valitse emokomponentti"
7355c7355
< msgstr "Aseta 'FPC mode'n arvoksi DELPHI"
---
> msgstr "Aseta 'FPC mode':n arvoksi DELPHI"
7359c7359
< msgstr "Aseta 'FPC mode'n arvoksi FPC"
---
> msgstr "Aseta 'FPC mode':n arvoksi FPC"
7363c7363
< msgstr "Aseta 'FPC mode'n arvoksi GPC"
---
> msgstr "Aseta 'FPC mode':n arvoksi GPC"
7367c7367
< msgstr "Aseta 'FPC mode'n arvoksi MacPas"
---
> msgstr "Aseta 'FPC mode':n arvoksi MacPas"
7371c7371
< msgstr "Aseta 'FPC mode'n arvoksi TP"
---
> msgstr "Aseta 'FPC mode':n arvoksi TP"
7688c7688
< msgstr "Virhe luettaessa xml tiedostosta %s%s%s%s%s"
---
> msgstr "Virhe luettaessa xml-tiedostosta %s%s%s%s%s"
7964c7964
< msgstr "Nämä tiedostosuotimet näkyvät kaikissa 'Avaa Tiedosto' ikkunoissa"
---
> msgstr "Nämä tiedostosuotimet näkyvät kaikissa 'Avaa Tiedosto' -ikkunoissa"
8040c8040
< msgstr "ASCII tai UTF-8 koodatut tiedostot"
---
> msgstr "ASCII- tai UTF-8-koodatut tiedostot"
8044c8044
< msgstr "Muut kuin ASCII tai UTF-8 koodatut tiedostot"
---
> msgstr "Muut kuin ASCII- tai UTF-8-koodatut tiedostot"
8124c8124
< msgstr "LFM tiedoston korjaus"
---
> msgstr "LFM-tiedoston korjaus"
8164c8164
< msgstr "FPC resurssit"
---
> msgstr "FPC-resurssit"
8168c8168
< msgstr "FPC lähdekoodi"
---
> msgstr "FPC-lähdekoodi"
8176c8176
< msgstr "FPC versio: "
---
> msgstr "FPC-versio: "
8180c8180
< msgstr "FPC versio (esim. 2.2.2)"
---
> msgstr "FPC-versio (esim. 2.2.2)"
8185c8185
< msgstr "FPDoc muokkain"
---
> msgstr "FPDoc-muokkain"
8193c8193
< msgstr "FPDoc kielioppivirhe"
---
> msgstr "FPDoc-kielioppivirhe"
8205c8205
< msgstr "FPDoc elementissä \"%s\":%s%s on kielioppivirhe"
---
> msgstr "FPDoc-elementissä \"%s\":%s%s on kielioppivirhe"
8221c8221
< msgstr "Free Pascal kääntäjän viestit"
---
> msgstr "Free Pascal -kääntäjän viestit"
8225c8225
< msgstr "Free Pascal lähdekoodihakemisto"
---
> msgstr "Free Pascal -lähdekoodihakemisto"
8380c8380
< msgstr "Free Pascal kääntäjän viestien ohje"
---
> msgstr "Free Pascal -kääntäjän viestien ohje"
8456c8456
< msgstr "FPC Doc HTML polku"
---
> msgstr "FPC Doc HTML-polku"
8501c8501
< msgstr "IDE Makrot"
---
> msgstr "IDE-makrot"
8605c8605
< msgstr "Luokan toteutus-osan kommentti"
---
> msgstr "Luokan toteutusosan kommentti"
8658c8658
< msgstr "Pascal lähdekoodin sisennys"
---
> msgstr "Pascal-lähdekoodin sisennys"
8922d8921
< #, fuzzy
8925c8924
< msgstr "Nimi \"%s\" ei ole kelvollinen pascalin tunniste."
---
> msgstr "Nimi \"%s\" ei ole kelvollinen Pascalin tunniste."
9075c9074
< msgstr "CodeTools määritysten muokkain"
---
> msgstr "CodeTools-määritysten muokkain"
9095c9094
< msgstr "Muunna Delphi paketti Lazarukselle"
---
> msgstr "Muunna Delphi-paketti Lazarukselle"
9099c9098
< msgstr "Muunna Delphi projekti Lazarukselle"
---
> msgstr "Muunna Delphi-projekti Lazarukselle"
9103c9102
< msgstr "Muunna Delphi käännösyksikkö Lazarukselle"
---
> msgstr "Muunna Delphi-käännösyksikkö Lazarukselle"
9576c9575
< msgstr "Lazarus tiedosto"
---
> msgstr "Lazarus-tiedosto"
9580c9579
< msgstr "Lazarus lomake"
---
> msgstr "Lazarus-lomake"
9608c9607
< msgstr "Lazarus paketti"
---
> msgstr "Lazarus-paketti"
9612c9611
< msgstr "Lazarus projekti"
---
> msgstr "Lazarus-projekti"
9616c9615
< msgstr "Lazarus projektin tietoja"
---
> msgstr "Lazarus-projektin tietoja"
9620c9619
< msgstr "Lazarus projektin lähdekoodi"
---
> msgstr "Lazarus-projektin lähdekoodi"
9624c9623
< msgstr "Lazarus käännösyksikkö"
---
> msgstr "Lazarus-käännösyksikkö"
9739c9738
< msgstr "Käynnistä Lazarus automatically IDE:n kokoamisen jälkeen (ei vaikuta kun kootaan muita osia)"
---
> msgstr "Käynnistä Lazarus automaattisesti IDE:n kokoamisen jälkeen (ei vaikuta, kun kootaan muita osia)"
9747c9746
< msgstr "Kysy varmistusta kun kootaan suoraan Työkalut-valikosta"
---
> msgstr "Kysy varmistusta, kun kootaan suoraan Työkalut-valikosta"
9755c9754
< msgstr "Kohde CPU:"
---
> msgstr "Kohde-CPU:"
9759c9758
< msgstr "Kohde hakemisto:"
---
> msgstr "Kohdehakemisto:"
9763c9762
< msgstr "Kohde käyttis:"
---
> msgstr "Kohdekäyttöjärjestelmä"
9783c9782
< msgstr "LCL käyttöliittymäkirjasto"
---
> msgstr "LCL-käyttöliittymäkirjasto"
9824c9823
< msgstr "Tämä on naapuri-kontrolli, mihin vasen reuna on ankkuroitu. Tyhjä tarkoittaa emo-kontrollia."
---
> msgstr "Tämä on naapurikontrolli, mihin vasen reuna on ankkuroitu. Tyhjä tarkoittaa emokontrollia."
9845c9844
< msgstr "LFM tiedosto"
---
> msgstr "LFM-tiedosto"
9958c9957
< msgstr "lrs include tiedostot"
---
> msgstr "lrs include -tiedostot"
9994c9993
< msgstr "Make ohjelma"
---
> msgstr "Make-ohjelma"
10136c10135
< msgstr "Tarkista editorissa oleva LFM tiedosto"
---
> msgstr "Tarkista editorissa oleva LFM-tiedosto"
10160c10159
< msgstr "CodeTools määritysten muokkain ..."
---
> msgstr "CodeTools-määritysten muokkain ..."
10193c10192
< msgstr "Muunna Delphi paketti Lazarukselle ..."
---
> msgstr "Muunna Delphi-paketti Lazarukselle ..."
10197c10196
< msgstr "Muunna Delphi projekti Lazarukselle ..."
---
> msgstr "Muunna Delphi-projekti Lazarukselle ..."
10201c10200
< msgstr "Muunna Delphi käännösyksikkö Lazarukselle ..."
---
> msgstr "Muunna Delphi-käännösyksikkö Lazarukselle ..."
10205c10204
< msgstr "Muunna binaari DFM-tiedosto LFM:ksi ja tarkista kielioppi ..."
---
> msgstr "Muunna binaarinen DFM-tiedosto teksti-LFM:ksi ja tarkista kielioppi ..."
10213c10212
< msgstr "Virheenjäljitys-ikkunat"
---
> msgstr "Virheenjäljitysikkunat"
10410c10409
< msgstr "Liitä CVS avainsana"
---
> msgstr "Liitä CVS-avainsana"
10426c10425
< msgstr "GPL ilmoitus"
---
> msgstr "GPL-ilmoitus"
10430c10429
< msgstr "LGPL ilmoitus"
---
> msgstr "LGPL -ilmoitus"
10434c10433
< msgstr "MIT ilmoitus"
---
> msgstr "MIT-ilmoitus"
10438c10437
< msgstr "Muunnettu LGPL ilmoitus"
---
> msgstr "Muunnettu LGPL-ilmoitus"
10636c10635
< msgstr "Lue uudelleen FPC lähdekoodit"
---
> msgstr "Lue uudelleen FPC-lähdekoodit"
10943c10942
< msgstr "Lähdekoodi editori"
---
> msgstr "Lähdekoodieditori"
11126c11125
< msgstr "IDE Makro"
---
> msgstr "IDE-makro"
11130c11129
< msgstr "IDE Makro %s:=%s"
---
> msgstr "IDE-makro %s:=%s"
11343c11342
< msgstr "Uusi Makron nimi"
---
> msgstr "Uusi makron nimi"
11395c11394
< msgstr "Ei LFM tiedostoa"
---
> msgstr "Ei LFM-tiedostoa"
11419c11418
< msgstr "Ei Pascal tiedosto"
---
> msgstr "Ei Pascal-tiedosto"
11471c11470
< msgstr "Huom.: Ei voi luoda määritemallinetta Free Pascal koodille"
---
> msgstr "Huom.: Ei voi luoda määritemallinetta Free Pascal -koodille"
11475c11474
< msgstr "Huom.: Ei voi luoda määritemallinetta Lazarus koodille"
---
> msgstr "Huom.: Ei voi luoda määritemallinetta Lazarus-koodille"
11519c11518
< msgstr "objekti polut"
---
> msgstr "objektipolut"
11608c11607
< msgstr "%sPaketti on asennettu, mutta lpk tiedosto puuttuu"
---
> msgstr "%sPaketti on asennettu, mutta lpk-tiedosto puuttuu"
11633c11632
< msgstr "Liitettäessä leikepäydältä"
---
> msgstr "Liitettäessä leikepöydältä"
11806c11805
< msgstr "Pascal tiedosto"
---
> msgstr "Pascal-tiedosto"
12158c12157
< msgstr "Kokoa uudestaan automaattisesti kun kootaan kaikki"
---
> msgstr "Kokoa uudestaan automaattisesti, kun kootaan kaikki"
12246c12245
< msgstr "Päivitä / uudelleen kokoa"
---
> msgstr "Päivitä / uudelleenkokoa"
12258c12257
< msgstr "Hakupolut fpdoc:in xml tiedostoille. Useampi polku pitää erottaa puolipisteellä."
---
> msgstr "Hakupolut fpdoc:in xml-tiedostoille. Useampi polku pitää erottaa puolipisteellä."
12266c12265
< msgstr "Kun lomake on talletettu, IDE voi tallentaa kaikki TTranslateString ominaisuudet paketin po tiedostoon. Siksi I18N pitää sallia tälle paketille, antaa po hakemisto ja jättää tämä asetus ruksaamatta."
---
> msgstr "Kun lomake on talletettu, IDE voi tallentaa kaikki TTranslateString ominaisuudet paketin po tiedostoon. Siksi I18N pitää sallia tälle paketille, antaa po-hakemisto ja jättää tämä asetus ruksaamatta."
12315c12314
< msgstr "Uusi tiedosto ei ole include polussa"
---
> msgstr "Uusi tiedosto ei ole include-polussa"
12424c12423
< msgstr "Include tiedosto"
---
> msgstr "Include-tiedosto"
12428c12427
< msgstr "Ongelmien xml tiedosto"
---
> msgstr "Ongelmien xml-tiedosto"
12432c12431
< msgstr "LFM - Lazarus lomake tekstinä"
---
> msgstr "LFM - Lazarus-lomake tekstinä"
12436c12435
< msgstr "LRS - Lazarus resurssi"
---
> msgstr "LRS - Lazarus-resurssi"
12440c12439
< msgstr "Pää-käännösyksikkö"
---
> msgstr "Pääkäännösyksikkö"
12458c12457
< msgstr "Paketti-hakemisto. Parametri on paketin ID"
---
> msgstr "Pakettihakemisto. Parametri on paketin ID"
12462c12461
< msgstr "Paketin include tiedostojen hakupolku. Parametri on paketin ID"
---
> msgstr "Paketin include-tiedostojen hakupolku. Parametri on paketin ID"
12514c12513
< msgstr "Poistetaanko vanha paketti-tiedosto?"
---
> msgstr "Poistetaanko vanha pakettitiedosto?"
12518c12517
< msgstr "Poistetaanko vanha paketti-tiedosto %s%s%s?"
---
> msgstr "Poistetaanko vanha pakettitiedosto %s%s%s?"
12534c12533
< msgstr "Virhe päivitettäessä po tiedostoja paketille %s"
---
> msgstr "Virhe päivitettäessä po-tiedostoja paketille %s"
12591c12590
< msgstr "Kelvoton paketti-tiedoston tarkennin"
---
> msgstr "Kelvoton pakettitiedoston tarkennin"
12631c12630
< msgstr "paketin pää-lähdekooditiedosto"
---
> msgstr "paketin päälähdekooditiedosto"
12691c12690
< msgstr "staattisten pakettien config tiedosto"
---
> msgstr "staattisten pakettien config-tiedosto"
12704c12703
< msgstr "Tiedosto %s%s%s ei ole Lazarus paketti."
---
> msgstr "Tiedosto %s%s%s ei ole Lazarus-paketti."
12740c12739
< msgstr "Pakettitiedoston nimi %s%s%s %s%s%s%s:ssa ei ole kelvollinen Lazarus paketin nimi."
---
> msgstr "Pakettitiedoston nimi %s%s%s %s%s%s%s:ssa ei ole kelvollinen Lazarus-paketin nimi."
12768c12767
< msgstr "Paketti %s%s%s oli merkitty poistettavaksi.%sNykyinen Lazarus tukee ainoastaan staattisesti linkattuja paketteja. Poistaminen vaatii Lazaruksen uudelleen kokoamisen ja käynnistämisen.%s%sTehdäänkö se nyt?"
---
> msgstr "Paketti %s%s%s oli merkitty poistettavaksi.%sNykyinen Lazarus tukee ainoastaan staattisesti linkattuja paketteja. Poistaminen vaatii Lazaruksen uudelleenkokoamisen ja käynnistämisen.%s%sTehdäänkö se nyt?"
12772c12771
< msgstr "Paketti %s%s%s oli merkitty asennettavaksi.%sNykyinen Lazarus tukee ainoastaan staattisesti linkattuja paketteja. Asennus vaatii Lazaruksen uudelleen kokoamisen ja käynnistämisen.%s%sTehdäänkö se nyt?"
---
> msgstr "Paketti %s%s%s oli merkitty asennettavaksi.%sNykyinen Lazarus tukee ainoastaan staattisesti linkattuja paketteja. Asennus vaatii Lazaruksen uudelleenkokoamisen ja käynnistämisen.%s%sTehdäänkö se nyt?"
12828c12827
< msgstr "Kohdehakemiston luominen Lazarus ei onnistu:%s%s%s%s.%sHakemisto tarvitaan"
---
> msgstr "Kohdehakemiston luominen Lazarusta varten ei onnistu:%s%s%s%s.%sHakemisto tarvitaan"
13005c13004
< msgstr "Paketti-linkit"
---
> msgstr "Pakettilinkit"
13090c13089
< msgstr "Tallenna .lpi tiedostoon"
---
> msgstr "Tallenna .lpi-tiedostoon"
13094c13093
< msgstr "Tallenna .lps tiedostoon projektihakemistossa"
---
> msgstr "Tallenna .lps-tiedostoon projektihakemistossa"
13114c13113
< msgstr "ensisijainen hakemisto, minne lazarus tallentaa config-tiedostot. Oletus on "
---
> msgstr "ensisijainen hakemisto, minne Lazarus tallentaa config-tiedostot. Oletus on "
13193c13192
< msgstr "Kelvoton Pascal käännösyksikön nimi"
---
> msgstr "Kelvoton Pascal -käännösyksikön nimi"
13256c13255
< msgstr "Käännösyksikön nimi %s%s%s ei ole kelvollinen Pascal tunniste."
---
> msgstr "Käännösyksikön nimi %s%s%s ei ole kelvollinen Pascal-tunniste."
13457c13456
< msgstr "Protected - metodi"
---
> msgstr "Protected-metodi"
13461c13460
< msgstr "Public - metodi"
---
> msgstr "Public-metodi"
13465c13464
< msgstr "Published - metodi"
---
> msgstr "Published-metodi"
13490c13489
< msgstr "Pascal käännösyksiköllä pitää olla liite .pp tai .pas"
---
> msgstr "Pascal-käännösyksiköllä pitää olla liite .pp tai .pas"
13508c13507
< msgstr "Käännösyksikön nimeä käytetään kun Lazarus laajentaa uses-lauseketta."
---
> msgstr "Käännösyksikön nimeä käytetään, kun Lazarus laajentaa uses-lauseketta."
13808c13807
< msgstr "Tämä on naapuri-kontrolli, mihin oikea reuna on ankkuroitu. Tyhjä tarkoittaa emo-kontrollia."
---
> msgstr "Tämä on naapurikontrolli, mihin oikea reuna on ankkuroitu. Tyhjä tarkoittaa emokontrollia."
13850c13849
< msgstr "Isäntä-ohjelma %s%s%s ei ole suoritettava."
---
> msgstr "Isäntäohjelma %s%s%s ei ole suoritettava."
14255c14254
< msgstr "Yksinkertaisin mahdollinen Free Pascal komentoriviohjelma"
---
> msgstr "Yksinkertaisin mahdollinen Free Pascal -komentoriviohjelma"
14537c14536
< msgstr "Kohde CPU"
---
> msgstr "Kohde-CPU"
14558c14557
< msgstr "Kohde käyttis"
---
> msgstr "Kohdekäyttöjärjestelmä"
14714c14713
< msgstr "Tiedosto %s%s%s ei ole Lazarus projekti.%sLuodaanko uusi projekti sille %s?"
---
> msgstr "Tiedosto %s%s%s ei ole Lazarus-projekti.%sLuodaanko uusi projekti sille %s?"
14730c14729
< msgstr "Tiedosto %s vaikuttaa Lazarus projektissa olvalta ohjelmatiedostolta."
---
> msgstr "Tiedosto %s vaikuttaa Lazarus-projektissa olvalta ohjelmatiedostolta."
14754c14753
< msgstr "Free Pascal kääntäjän nimi on tyypillisesti \"%s\". Se voi olla myös tietylle kohteelle tehty kääntäjä kuten \"%s\". Anna koko tiedostopolku."
---
> msgstr "Free Pascal -kääntäjän nimi on tyypillisesti \"%s\". Se voi olla myös tietylle kohteelle tehty kääntäjä kuten \"%s\". Anna koko tiedostopolku."
14774c14773
< msgstr "Lazarus hakemistossa ovat IDEn lähdekoodit sekä LCL:n ja muiden pakettien tiedostot. Siellä on esimerkiksi tiedosto \"ide%slazarus.lpi\". Myös käännöstiedostot ovat siellä."
---
> msgstr "Lazarus-hakemistossa ovat IDEn lähdekoodit sekä LCL:n ja muiden pakettien tiedostot. Siellä on esimerkiksi tiedosto \"ide%slazarus.lpi\". Myös käännöstiedostot ovat siellä."
14782c14781
< msgstr "LFM (Lazarus lomake) sisältää vääriä ominaisuuksia. Tämä tarkoittaa esim. että jotain luokkaa tai ominaisuutta ei ole LCL-kirjastossa. Normaali korjaus on poistaa nämä ominaisuudet LFM-tiedostosta ja korjata Pascal-koodi käsin."
---
> msgstr "LFM (Lazarus-lomake) sisältää vääriä ominaisuuksia. Tämä tarkoittaa esim. että jotain luokkaa tai ominaisuutta ei ole LCL-kirjastossa. Normaali korjaus on poistaa nämä ominaisuudet LFM-tiedostosta ja korjata Pascal-koodi käsin."
14924,14927d14922
< #: lazarusidestrconsts.listhereisalreadyacomponentclasswiththename
< msgid "There is already a component class with the name %s."
< msgstr ""
< 
14942c14937
< msgstr "On jo \"%s\" niminen IDE makro."
---
> msgstr "On jo \"%s\" niminen IDE-makro."
14982c14977
< msgstr "Juuri-komponenttia ei voi poistaa."
---
> msgstr "Juurikomponenttia ei voi poistaa."
15022c15017
< msgstr "Käännösyksikön nimi %s%s%s ei ole pienillä kirjaimilla.%sFree Pascal kääntäjä ei etsi kaikkia variaatioita. On suositeltavaa käyttää vain pieniä kirjaimia.%s%sVaihdetaanko tiedoston nimi?"
---
> msgstr "Käännösyksikön nimi %s%s%s ei ole pienillä kirjaimilla.%sFree Pascal -kääntäjä ei etsi kaikkia variaatioita. On suositeltavaa käyttää vain pieniä kirjaimia.%s%sVaihdetaanko tiedoston nimi?"
15034c15029
< msgstr "Käännösyksikkö on jo nimeltään %s%s%s. Pascal:ssa tunnukset pitää olla yksilöllisiä"
---
> msgstr "Käännösyksikkö on jo nimeltään %s%s%s. Pascalissa tunnusten pitää olla yksilöllisiä"
15044,15047d15038
< #: lazarusidestrconsts.listhiscomponentalreadycontainsaclasswiththename
< msgid "This component already contains a class with the name %s."
< msgstr ""
< 
15062c15053
< msgstr "Tällä projektilla ei ole pää-lähdekooditiedostoa"
---
> msgstr "Tällä projektilla ei ole päälähdekooditiedostoa"
15194c15185
< msgstr "Tämä on naapuri-kontrolli, mihin yläreuna on ankkuroitu. Tyhjä tarkoittaa emo-kontrollia."
---
> msgstr "Tämä on naapurikontrolli, mihin yläreuna on ankkuroitu. Tyhjä tarkoittaa emokontrollia."
15377d15367
< #, fuzzy
15380c15370
< msgstr "Nykyinen editorin kirjaisin ei tue UTF-8 merkistöä, mutta käyttöjärjestelmä tukee sitä. %sTämä merkitsee sitä että ei ASCII merkit voivat näkyä väärin.%sSopivamman kirjaisimen voi valita editorin asetuksista."
---
> msgstr "Nykyinen editorin kirjasin ei tue UTF-8-merkistöä, mutta käyttöjärjestelmä tukee sitä. %sTämä merkitsee sitä että ei-ASCII merkit voivat näkyä väärin.%sSopivamman kirjasimen voi valita editorin asetuksista."
15435c15425
< msgstr "Binaari-virran muuttaminen tekstiksi ei onnistu"
---
> msgstr "Binaarivirran muuttaminen tekstiksi ei onnistu"
15479c15469
< msgstr "Ei voida siivota kohde hakemistoa"
---
> msgstr "Ei voida siivota kohdehakemistoa"
15590d15579
< #, fuzzy
15593c15582
< msgstr "Ei löydy pascal käännösyksikköä (.pas,.pp) .lfm tiedostolle%s%s%s%s"
---
> msgstr "Ei löydy Pascal-käännösyksikköä (.pas,.pp) .lfm-tiedostolle%s%s%s%s"
15711c15700
< msgstr "Ankkuri-kontrollin asettaminen ei onnistu"
---
> msgstr "Ankkurikontrollin asettaminen ei onnistu"
15865c15854
< msgstr "Päivitä muut aliohjelman määritykset kun vain kirjainten koko on muuttunut"
---
> msgstr "Päivitä muut aliohjelman määritykset, kun vain kirjainten koko on muuttunut"
16010c15999
< msgstr "Tarkista metodi kutsut"
---
> msgstr "Tarkista metodikutsut"
16056c16045
< msgstr "%sVaroitus: Tämä on pää-käännösyksikkö. Uusi pää-käännösyksikkö tulee olemaan %s.pas."
---
> msgstr "%sVaroitus: Tämä on pääkäännösyksikkö. Uusi pää-käännösyksikkö tulee olemaan %s.pas."
16181c16170
< msgstr "Tarkastus-osa"
---
> msgstr "Tarkastusosa"
16221c16210
< msgstr "XML virhe"
---
> msgstr "XML-virhe"
16225c16214
< msgstr "XML tiedostot"
---
> msgstr "XML-tiedostot"
16245c16234
< msgstr "Lazarusta ei voi koota kun ohjelmaa ajetaan tai käännetään."
---
> msgstr "Lazarusta ei voi koota, kun ohjelmaa ajetaan tai käännetään."
16262c16251
< msgstr "lpk tiedosto on kelvoton (%s)"
---
> msgstr "lpk-tiedosto on kelvoton (%s)"
16266c16255
< msgstr "lpk tiedosto on kelvollinen (%s)"
---
> msgstr "lpk-tiedosto on kelvollinen (%s)"
16376c16365
< msgstr "Kansainvälisyys-asetukset"
---
> msgstr "Kansainvälisyysasetukset"
16564c16553
< msgstr "PO kirjoitushakemisto"
---
> msgstr "PO-kirjoitushakemisto"
16613c16602
< msgstr "CodeTools komennot"
---
> msgstr "CodeTools-komennot"
16973c16962
< msgstr "IDE asetukset"
---
> msgstr "IDE-asetukset"
17027c17016
< msgstr "Etsi Overload metodit"
---
> msgstr "Etsi Overload-metodit"
17031c17020
< msgstr "Etsi Overload metodit ..."
---
> msgstr "Etsi Overload-metodit ..."
17095c17084
< msgstr "Lisää muutos-lokiin tapahtuma"
---
> msgstr "Lisää muutoslokiin tapahtuma"
17143c17132
< msgstr "Lisää GPL ilmoitus"
---
> msgstr "Lisää GPL-ilmoitus"
17151c17140
< msgstr "Lisää LGPL ilmoitus"
---
> msgstr "Lisää LGPL-ilmoitus"
17167c17156
< msgstr "Lisää muokattu LGPL ilmoitus"
---
> msgstr "Lisää muokattu LGPL-ilmoitus"
18103c18092
< msgstr "Uudelleen järjestele"
---
> msgstr "Järjestele uudelleen"
erot (32,326 bytes)   

Juha Manninen

2013-12-09 22:00

developer   ~0071846

Thanks, I am happy you improved the translations, but I was hoping to get a patch or a full .po file that preserves the rest of my earlier translations.
Your file has a weird home-made format which I cannot apply easily. I would need to copy the strings one by one. I can do that if nothing else is available but not very soon. I am quite busy this week.
If you want to make a patch against the latest file in SVN, here are some instructions:
  http://wiki.lazarus.freepascal.org/Creating_A_Patch
That could be applied with a single "patch" command.

delfion

2013-12-10 07:29

reporter  

erot2 (76,839 bytes)   
Index: lazaruside.fi.po
===================================================================
--- lazaruside.fi.po	(revision 43528)
+++ lazaruside.fi.po	(working copy)
@@ -3,6 +3,11 @@
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Project-Id-Version: \n"
+"POT-Creation-Date: \n"
+"PO-Revision-Date: \n"
+"Last-Translator: x <y>\n"
+"Language-Team: \n"
 
 #: lazarusidestrconsts.dbgbreakgroupdlgcaption
 msgctxt "lazarusidestrconsts.dbgbreakgroupdlgcaption"
@@ -11,11 +16,11 @@
 
 #: lazarusidestrconsts.dbgbreakgroupdlgheaderdisable
 msgid "Select groups to disable when breakpoint is hit"
-msgstr "Valitse estettävät ryhmät kun keskeytyskohta aktivoituu"
+msgstr "Valitse estettävät ryhmät, kun keskeytyskohta aktivoituu"
 
 #: lazarusidestrconsts.dbgbreakgroupdlgheaderenable
 msgid "Select groups to enable when breakpoint is hit"
-msgstr "Valitse sallittavat ryhmät kun keskeytyskohta aktivoituu"
+msgstr "Valitse sallittavat ryhmät, kun keskeytyskohta aktivoituu"
 
 #: lazarusidestrconsts.dbgbreakpropertygroupnotfound
 msgid "Some groups in the Enable/Disable list do not exist.%0:sCreate them?%0:s%0:s%1:s"
@@ -574,7 +579,7 @@
 
 #: lazarusidestrconsts.dlgautocreatenewforms
 msgid "When creating new forms, add them to auto-created forms"
-msgstr "Kun tehdään uusi lomake niin se laitetaan automaattisesti luotaviin lomakkeisiin"
+msgstr "Kun tehdään uusi lomake, niin se laitetaan automaattisesti luotaviin lomakkeisiin"
 
 #: lazarusidestrconsts.dlgautodel
 msgid "Auto delete file"
@@ -811,7 +816,7 @@
 
 #: lazarusidestrconsts.dlgcocops
 msgid "C style operators (*=, +=, /= and -=)"
-msgstr "C tyyliset operaattorit (*=, +=, /= and -=)"
+msgstr "C-tyyliset operaattorit (*=, +=, /= and -=)"
 
 #: lazarusidestrconsts.dlgcocreatemakefile
 msgctxt "lazarusidestrconsts.dlgcocreatemakefile"
@@ -1002,7 +1007,7 @@
 
 #: lazarusidestrconsts.dlgcooverflow
 msgid "Overflow"
-msgstr "Ylivouto"
+msgstr "Ylivuoto"
 
 #: lazarusidestrconsts.dlgcoparsing
 msgid "Parsing"
@@ -1014,7 +1019,7 @@
 
 #: lazarusidestrconsts.dlgcopywordatcursoroncopynone
 msgid "Copy word on copy none"
-msgstr "Kopioi sana kun valittuna ei mitään"
+msgstr "Kopioi sana, kun valittuna ei mitään"
 
 #: lazarusidestrconsts.dlgcorange
 msgid "Range"
@@ -1042,7 +1047,7 @@
 
 #: lazarusidestrconsts.dlgcosources
 msgid "Other sources (.pp/.pas files, used only by IDE not by compiler)"
-msgstr "Muut lähdekoodit (.pp/.pas tiedostot, vain IDE käyttää, ei kääntäjä)"
+msgstr "Muut lähdekoodit (.pp/.pas-tiedostot, vain IDE käyttää, ei kääntäjä)"
 
 #: lazarusidestrconsts.dlgcostack
 msgid "Stack"
@@ -1095,7 +1100,7 @@
 
 #: lazarusidestrconsts.dlgcppinline
 msgid "C++ styled INLINE"
-msgstr "C++ tyylinen INLINE"
+msgstr "C++ -tyylinen INLINE"
 
 #: lazarusidestrconsts.dlgctrlmiddletabcloseotherpages
 msgid "Ctrl-middle-click on tab closes all others"
@@ -1103,7 +1108,7 @@
 
 #: lazarusidestrconsts.dlgcurlycommenttab
 msgid "Curly { }"
-msgstr "Aalto { }"
+msgstr "Aaltosulut { }"
 
 #: lazarusidestrconsts.dlgcursorbeyondeol
 msgid "Cursor beyond EOL"
@@ -1465,7 +1470,7 @@
 
 #: lazarusidestrconsts.dlgextsymb
 msgid "Use external gdb debug symbols file"
-msgstr "Käytä ulkoista gdb symboli-tiedostoa"
+msgstr "Käytä ulkoista gdb-symbolitiedostoa"
 
 #: lazarusidestrconsts.dlgfileexts
 msgid "File extensions"
@@ -1652,7 +1657,7 @@
 
 #: lazarusidestrconsts.dlgframecolor
 msgid "Text-mark"
-msgstr "Teksti-merkki"
+msgstr "Tekstimerkki"
 
 #: lazarusidestrconsts.dlgfrmeditor
 msgid "Form Editor"
@@ -1877,7 +1882,7 @@
 
 #: lazarusidestrconsts.dlginitdoneonly
 msgid "Constructor name must be 'init' (destructor must be 'done')"
-msgstr "Constructor nimen täytyy olla 'init' (destructor täytyy olla 'done')"
+msgstr "Constructor-nimen täytyy olla 'init' (destructor täytyy olla 'done')"
 
 #: lazarusidestrconsts.dlginsertclassparts
 msgid "Insert class parts"
@@ -2057,7 +2062,7 @@
 
 #: lazarusidestrconsts.dlgmarkupuserdefinedduplicatemsg
 msgid "The term %s already exists. Duplicates will be removed when the list is saved."
-msgstr "Termi %s on jo olemassa. Päällekkäisyydet poistetaan kun luettelo tallennetaan."
+msgstr "Termi %s on jo olemassa. Päällekkäisyydet poistetaan, kun luettelo tallennetaan."
 
 #: lazarusidestrconsts.dlgmarkupuserdefinedgloballist
 msgid "Add/Remove in all editors"
@@ -2476,11 +2481,11 @@
 
 #: lazarusidestrconsts.dlgnotsplitlineafter
 msgid "Do not split line after"
-msgstr "Rivi ei katkea kun sitä edeltää"
+msgstr "Rivi ei katkea, kun sitä edeltää"
 
 #: lazarusidestrconsts.dlgnotsplitlinefront
 msgid "Do not split line in front of"
-msgstr "Rivi ei katkea kun sitä seuraa"
+msgstr "Rivi ei katkea, kun sitä seuraa"
 
 #: lazarusidestrconsts.dlgobjinsp
 msgctxt "lazarusidestrconsts.dlgobjinsp"
@@ -2503,7 +2508,7 @@
 
 #: lazarusidestrconsts.dlgoispeedsettings
 msgid "Speed settings"
-msgstr "Nopeus asetukset"
+msgstr "Nopeusasetukset"
 
 #: lazarusidestrconsts.dlgoiusedefaultdelphisettings
 msgid "Use default Delphi settings"
@@ -3064,12 +3069,12 @@
 
 #: lazarusidestrconsts.dlgtargetcpufamily
 msgid "Target CPU family"
-msgstr "Kohde CPU perhe"
+msgstr "CPU-perhe"
 
 #: lazarusidestrconsts.dlgtargetos
 msgctxt "lazarusidestrconsts.dlgtargetos"
 msgid "Target OS"
-msgstr "Kohde käyttis"
+msgstr "Käyttöjärjestelmä"
 
 #: lazarusidestrconsts.dlgtargetplatform
 msgid "Target platform"
@@ -3077,7 +3082,7 @@
 
 #: lazarusidestrconsts.dlgtargetproc
 msgid "Target processor"
-msgstr "Kohde prosessori"
+msgstr "Prosessori"
 
 #: lazarusidestrconsts.dlgtargetspecificoptions
 msgid "Target-specific options"
@@ -3254,7 +3259,7 @@
 
 #: lazarusidestrconsts.dlgwritefpclogo
 msgid "Write FPC logo"
-msgstr "Kirjoita FPC logo"
+msgstr "Kirjoita FPC-logo"
 
 #: lazarusidestrconsts.fdinvalidmultiselectiontext
 msgid "Multiselected components must be of a single form."
@@ -3413,7 +3418,7 @@
 #: lazarusidestrconsts.lisa2papascalunitmusthavetheextensionpporpas
 msgctxt "lazarusidestrconsts.lisa2papascalunitmusthavetheextensionpporpas"
 msgid "A Pascal unit must have the extension .pp or .pas"
-msgstr "Pascal käännösyksiköllä pitää olla pääte .pp tai .pas"
+msgstr "Pascal-käännösyksiköllä pitää olla pääte .pp tai .pas"
 
 #: lazarusidestrconsts.lisa2pbrokendependencies
 msgid "Broken Dependencies"
@@ -3518,7 +3523,7 @@
 
 #: lazarusidestrconsts.lisa2ppascalunitsmusthavetheextensionpporpas
 msgid "Pascal units must have the extension .pp or .pas"
-msgstr "Pascal käännösyksikön pääte on joko .pp tai .pas"
+msgstr "Pascal-käännösyksikön pääte on joko .pp tai .pas"
 
 #: lazarusidestrconsts.lisa2psavefiledialog
 msgid "Save file dialog"
@@ -3543,7 +3548,7 @@
 
 #: lazarusidestrconsts.lisa2ptheancestortypeisnotavalidpascalidentifier
 msgid "The ancestor type %s%s%s is not a valid Pascal identifier."
-msgstr "Kantatyyppi %s%s%s ei ole kelvollinen Pascal tunniste."
+msgstr "Kantatyyppi %s%s%s ei ole kelvollinen Pascal-tunniste."
 
 #: lazarusidestrconsts.lisa2ptheclassnameandancestortypearethesame
 msgid "The class name %s%s%s and ancestor type %s%s%s are the same."
@@ -3559,7 +3564,7 @@
 
 #: lazarusidestrconsts.lisa2ptheclassnameisnotavalidpascalidentifier
 msgid "The class name %s%s%s is not a valid Pascal identifier."
-msgstr "Luokan nimi %s%s%s ei ole kelvollinen Pascal tunniste."
+msgstr "Luokan nimi %s%s%s ei ole kelvollinen Pascal-tunniste."
 
 #: lazarusidestrconsts.lisa2pthefileispartofthecurrentprojectitisabadidea
 msgid "The file %s%s%s is part of the current project.%sIt is a bad idea to share files between projects and packages."
@@ -3666,7 +3671,7 @@
 
 #: lazarusidestrconsts.lisaboutlazarusmsg
 msgid "License: GPL/LGPL. See Lazarus and Free Pascal sources for license details.%sLazarus is an IDE to create graphical and console applications with Free Pascal. Free Pascal is Pascal and Object Pascal compiler that runs on Windows, Linux, Mac OS X, FreeBSD and more.%sLazarus is the missing part of the puzzle that will allow you to develop programs for all of the above platforms in a Delphi like environment. The IDE is a RAD tool that includes a form designer.%sAs Lazarus is growing we need more developers."
-msgstr "Lisenssi: GPL/LGPL. Katso Lazaruksen ja Free Pascalin lähdekoodeista tarkemmat lisenssit.%sLazarus on IDE millä voi tehdä graafisia ja komentorivi-sovelluksia Free Pascal kielellä. Free Pascal on (Object) Pascal kääntäjä, mikä toimii mm. Windows, Linux, Mac OS X, FreeBSD ym. käyttöjärjestelmissä.%sLazarus on puuttuva lenkki, mikä sallii ohjelmoinnin kaikille em. alustoille Delphin kaltaisessa ympäristössä. IDE on RAD työkalu, missä mukana on lomakeiden suunnittelu.%sLazaruksen kasvaessa tarvitsemme lisää kehittäjiä."
+msgstr "Lisenssi: GPL/LGPL. Katso Lazaruksen ja Free Pascalin lähdekoodeista tarkemmat lisenssit.%sLazarus on IDE, millä voi tehdä graafisia ja komentorivisovelluksia Free Pascal -kielellä. Free Pascal on (Object) Pascal kääntäjä, joka toimii mm. Windows, Linux, Mac OS X, FreeBSD ym. käyttöjärjestelmissä.%sLazarus on puuttuva lenkki, joka sallii ohjelmoinnin kaikille em. alustoille Delphin kaltaisessa ympäristössä. IDE on RAD-työkalu, missä mukana on lomakeiden suunnittelu.%sLazaruksen kasvaessa tarvitsemme lisää kehittäjiä."
 
 #: lazarusidestrconsts.lisaboutnocontributors
 msgid "Cannot find contributors list."
@@ -3811,7 +3816,7 @@
 
 #: lazarusidestrconsts.lisaf2phasregisterprocedure
 msgid "Has Register procedure"
-msgstr "Sisältää Register aliohjelman"
+msgstr "Sisältää Register-aliohjelman"
 
 #: lazarusidestrconsts.lisaf2pinvalidpackage
 msgid "Invalid Package"
@@ -3989,7 +3994,7 @@
 
 #: lazarusidestrconsts.lisanerroroccuredatlaststartupwhileloadingloadthispro
 msgid "An error occured at last startup while loading %s!%s%sLoad this project again?"
-msgstr "Virhe esiintyi kun avattiin projektia %s!%s%sAvataanko tämä projekti uudelleen?"
+msgstr "Virhe esiintyi, kun avattiin projektia %s!%s%sAvataanko tämä projekti uudelleen?"
 
 #: lazarusidestrconsts.lisapplicationclassname
 msgid "&Application class name"
@@ -3997,7 +4002,7 @@
 
 #: lazarusidestrconsts.lisapplicationprogramdescriptor
 msgid "A graphical Free Pascal application using the cross-platform LCL library for its GUI."
-msgstr "Graafinen Free Pascal ohjelma käyttäen monen ympäristön LCL GUI-kirjastoa."
+msgstr "Graafinen Free Pascal -ohjelma käyttäen monen ympäristön LCL GUI-kirjastoa."
 
 #: lazarusidestrconsts.lisapply
 msgctxt "lazarusidestrconsts.lisapply"
@@ -4030,7 +4035,7 @@
 
 #: lazarusidestrconsts.lisaskforcomponentnameafterputtingitonform
 msgid "Ask for component name after putting it on a designer form"
-msgstr "Kysy komponentin nimi kun se on laitettu lomake-editorille"
+msgstr "Kysy komponentin nimi, kun se on laitettu lomake-editorille"
 
 #: lazarusidestrconsts.lisaskforfilenameonnewfile
 msgid "Ask for file name on new file"
@@ -4071,7 +4076,7 @@
 
 #: lazarusidestrconsts.lisautomaticallyconvertlfmfilestolrsincludefiles
 msgid "Automatically convert .lfm files to .lrs include files"
-msgstr "Automaattisesti muuta .lfm tiedostot .lrs tiedostoiksi"
+msgstr "Automaattisesti muuta .lfm-tiedostot .lrs-tiedostoiksi"
 
 #: lazarusidestrconsts.lisautomaticallyignoreforselection
 msgid "do not complete selection"
@@ -4143,7 +4148,7 @@
 
 #: lazarusidestrconsts.lisbestviewedbyinstallingahtmlcontrolliketurbopowerip
 msgid "Best viewed by installing a HTML control like turbopoweriprodsgn"
-msgstr "Näkyy parhaiten kun asentaa HTML komponentin kuten turbopoweriprodsgn"
+msgstr "Näkyy parhaiten, kun asentaa HTML komponentin kuten turbopoweriprodsgn"
 
 #: lazarusidestrconsts.lisbfalwaysbuildbeforerun
 msgid "Always build before run"
@@ -4195,7 +4200,7 @@
 
 #: lazarusidestrconsts.lisbottomsiblingcomboboxhint
 msgid "This is the sibling control to which the bottom side is anchored. Leave empty for parent."
-msgstr "Tämä on naapuri-kontrolli, mihin alareuna on ankkuroitu. Tyhjä tarkoittaa emo-kontrollia."
+msgstr "Tämä on naapurikontrolli, mihin alareuna on ankkuroitu. Tyhjä tarkoittaa emokontrollia."
 
 #: lazarusidestrconsts.lisbottomspaceequally
 msgid "Bottom space equally"
@@ -4335,7 +4340,7 @@
 
 #: lazarusidestrconsts.liscancelrenaming
 msgid "Cancel renaming"
-msgstr "Peru uudelleen nimeäminen"
+msgstr "Peru uudelleennimeäminen"
 
 #: lazarusidestrconsts.liscannotcompileproject
 msgid "Cannot compile project"
@@ -4404,7 +4409,7 @@
 
 #: lazarusidestrconsts.lisccodatesdiffer
 msgid "The dates of the .ppu files of FPC differ by more than one hour.%sThis can mean, they are from two different installations.%sFile1: %s%sFile2: %s"
-msgstr "FPC:n .ppu tiedostojen aikaleimat eroavat yli tunnilla.%sSe voi tarkoittaa, että ne ovat kahdesta eri asennuksesta.%sTiedosto1: %s%sTiedosto2: %s"
+msgstr "FPC:n .ppu-tiedostojen aikaleimat eroavat yli tunnilla.%sSe voi tarkoittaa, että ne ovat kahdesta eri asennuksesta.%sTiedosto1: %s%sTiedosto2: %s"
 
 #: lazarusidestrconsts.lisccoerrorcaption
 msgctxt "lazarusidestrconsts.lisccoerrorcaption"
@@ -4445,7 +4450,7 @@
 
 #: lazarusidestrconsts.lisccomsgppunotfound
 msgid "compiled FPC unit not found: %s.ppu"
-msgstr "FPC käännösyksikköä: %s.ppu ei löydy käännettynä"
+msgstr "FPC-käännösyksikköä: %s.ppu ei löydy käännettynä"
 
 #: lazarusidestrconsts.lisccomultiplecfgfound
 msgid "multiple compiler configs found: "
@@ -4473,7 +4478,7 @@
 
 #: lazarusidestrconsts.lisccoseveralcompilers
 msgid "There are several Free Pascal Compilers in your path.%s%s%sMaybe you forgot to delete an old compiler?"
-msgstr "Polussa on monta Free Pascal kääntäjää.%s%s%sEhkä unohdit poistaa vanhan kääntäjän?"
+msgstr "Polussa on monta Free Pascal -kääntäjää.%s%s%sEhkä unohdit poistaa vanhan kääntäjän?"
 
 #: lazarusidestrconsts.lisccoskip
 msgid "Skip"
@@ -4493,7 +4498,7 @@
 
 #: lazarusidestrconsts.lisccounabletocreatetestpascalfile
 msgid "Unable to create Test Pascal file \"%s\"."
-msgstr "Pascal testitiedoston \"%s\" luonti ei onnistu."
+msgstr "Pascal-testitiedoston \"%s\" luonti ei onnistu."
 
 #: lazarusidestrconsts.lisccounusualchars
 msgid "unusual characters"
@@ -4553,7 +4558,7 @@
 
 #: lazarusidestrconsts.lisceisarootcontrol
 msgid "Is a root control"
-msgstr "On juuri-kontrolli"
+msgstr "On juurikontrolli"
 
 #: lazarusidestrconsts.liscelongparamlistcount
 msgid "Parameters count treated as \"many\""
@@ -4899,11 +4904,11 @@
 
 #: lazarusidestrconsts.lischooseafilewithcodetoolstemplates
 msgid "Choose a file with CodeTools templates"
-msgstr "Valitse CodeTools mallitiedosto"
+msgstr "Valitse CodeTools-mallitiedosto"
 
 #: lazarusidestrconsts.lischooseafpdoclink
 msgid "Choose a FPDoc link"
-msgstr "Valitse FPDoc linkki"
+msgstr "Valitse FPDoc-linkki"
 
 #: lazarusidestrconsts.lischooseakey
 msgid "Choose a key ..."
@@ -4919,11 +4924,11 @@
 
 #: lazarusidestrconsts.lischooseanfpcmessagefile
 msgid "Choose an FPC message file"
-msgstr "Valitse FPC viestitiedosto"
+msgstr "Valitse FPC-viestitiedosto"
 
 #: lazarusidestrconsts.lischooseapascalfileforindentationexamples
 msgid "Choose a Pascal file for indentation examples"
-msgstr "Valitse sisennys-esimerkiksi Pascal-tiedosto"
+msgstr "Valitse sisennysesimerkiksi Pascal-tiedosto"
 
 #: lazarusidestrconsts.lischoosecompilermessages
 msgid "Choose compiler messages file"
@@ -5142,7 +5147,7 @@
 
 #: lazarusidestrconsts.liscmdlinelclinterfacespecificoptions
 msgid "LCL Interface specific options:"
-msgstr "LCL rajapintaan liittyvät asetukset:"
+msgstr "LCL-rajapintaan liittyvät asetukset:"
 
 #: lazarusidestrconsts.liscmparameter
 msgid "Parameter"
@@ -5244,7 +5249,7 @@
 
 #: lazarusidestrconsts.liscodehelpgroupbox
 msgid "FPDoc settings"
-msgstr "FPDoc asetukset"
+msgstr "FPDoc-asetukset"
 
 #: lazarusidestrconsts.liscodehelphintboldformat
 msgid "Insert bold formatting tag"
@@ -5286,7 +5291,7 @@
 #: lazarusidestrconsts.liscodehelpmainformcaption
 msgctxt "lazarusidestrconsts.liscodehelpmainformcaption"
 msgid "FPDoc Editor"
-msgstr "FPDoc muokkain"
+msgstr "FPDoc-muokkain"
 
 #: lazarusidestrconsts.liscodehelpnoinheriteddescriptionfound
 msgid "(no inherited description found)"
@@ -5401,11 +5406,11 @@
 
 #: lazarusidestrconsts.liscodetoolsdefscreatedefinesforfreepascalcompiler
 msgid "Create Defines for Free Pascal Compiler"
-msgstr "Luo määritykset Free Pascal kääntäjälle"
+msgstr "Luo määritykset Free Pascal -kääntäjälle"
 
 #: lazarusidestrconsts.liscodetoolsdefscreatedefinesforfreepascalsvnsources
 msgid "Create Defines for Free Pascal SVN Sources"
-msgstr "Luo määritykset Free Pascal SVN koodeille"
+msgstr "Luo määritykset Free Pascal SVN -koodeille"
 
 #: lazarusidestrconsts.liscodetoolsdefscreatedefinesforproject
 msgid "Create Defines for %s Project"
@@ -5413,7 +5418,7 @@
 
 #: lazarusidestrconsts.liscodetoolsdefscreatefpcmacrosandpathsforafpcprojectdirectory
 msgid "Create FPC Macros and paths for a fpc project directory"
-msgstr "Luo FPC makrot ja polut FPC projektihakemistolle"
+msgstr "Luo FPC-makrot ja polut FPC-projektihakemistolle"
 
 #: lazarusidestrconsts.liscodetoolsdefsdefine
 msgid "Define"
@@ -5457,7 +5462,7 @@
 
 #: lazarusidestrconsts.liscodetoolsdefsfpcsvnsourcedirectory
 msgid "FPC SVN source directory"
-msgstr "FPC SVN lähdehakemisto"
+msgstr "FPC:n SVN-lähdehakemisto"
 
 #: lazarusidestrconsts.liscodetoolsdefsif
 msgid "If"
@@ -5478,63 +5483,63 @@
 
 #: lazarusidestrconsts.liscodetoolsdefsinsertdelphi5compilertemp
 msgid "Insert Delphi 5 Compiler Template"
-msgstr "Lisää Delphi 5 kääntäjän malline"
+msgstr "Lisää Delphi 5 -kääntäjän malline"
 
 #: lazarusidestrconsts.liscodetoolsdefsinsertdelphi5directorytem
 msgid "Insert Delphi 5 Directory Template"
-msgstr "Lisää Delphi 5 hakemiston malline"
+msgstr "Lisää Delphi 5 -hakemiston malline"
 
 #: lazarusidestrconsts.liscodetoolsdefsinsertdelphi5projecttempl
 msgid "Insert Delphi 5 Project Template"
-msgstr "Lisää Delphi 5 projektin malline"
+msgstr "Lisää Delphi 5 -projektin malline"
 
 #: lazarusidestrconsts.liscodetoolsdefsinsertdelphi6compilertemp
 msgid "Insert Delphi 6 Compiler Template"
-msgstr "Lisää Delphi 6 kääntäjän malline"
+msgstr "Lisää Delphi 6 -kääntäjän malline"
 
 #: lazarusidestrconsts.liscodetoolsdefsinsertdelphi6directorytem
 msgid "Insert Delphi 6 Directory Template"
-msgstr "Lisää Delphi 6 hakemiston malline"
+msgstr "Lisää Delphi 6 -hakemiston malline"
 
 #: lazarusidestrconsts.liscodetoolsdefsinsertdelphi6projecttempl
 msgid "Insert Delphi 6 Project Template"
-msgstr "Lisää Delphi 6 projektin malline"
+msgstr "Lisää Delphi 6 -projektin malline"
 
 #: lazarusidestrconsts.liscodetoolsdefsinsertdelphi7compilertemp
 msgid "Insert Delphi 7 Compiler Template"
-msgstr "Lisää Delphi 7 kääntäjän malline"
+msgstr "Lisää Delphi 7 -kääntäjän malline"
 
 #: lazarusidestrconsts.liscodetoolsdefsinsertdelphi7directorytem
 msgid "Insert Delphi 7 Directory Template"
-msgstr "Lisää Delphi 7 hakemiston malline"
+msgstr "Lisää Delphi 7 -hakemiston malline"
 
 #: lazarusidestrconsts.liscodetoolsdefsinsertdelphi7projecttempl
 msgid "Insert Delphi 7 Project Template"
-msgstr "Lisää Delphi 7 projektin malline"
+msgstr "Lisää Delphi 7 -projektin malline"
 
 #: lazarusidestrconsts.liscodetoolsdefsinsertfreepascalcompilert
 msgid "Insert Free Pascal Compiler Template"
-msgstr "Lisää Free Pascal kääntäjän malline"
+msgstr "Lisää Free Pascal -kääntäjän malline"
 
 #: lazarusidestrconsts.liscodetoolsdefsinsertfreepascalprojectte
 msgid "Insert Free Pascal Project Template"
-msgstr "Lisää Free Pascal projektin malline"
+msgstr "Lisää Free Pascal -projektin malline"
 
 #: lazarusidestrconsts.liscodetoolsdefsinsertfreepascalsvnsource
 msgid "Insert Free Pascal SVN Source Template"
-msgstr "Lisää Free Pascal SVN lähdemalline"
+msgstr "Lisää Free Pascal SVN -lähdemalline"
 
 #: lazarusidestrconsts.liscodetoolsdefsinsertkylix3compilertemp
 msgid "Insert Kylix 3 Compiler Template"
-msgstr "Lisää Kylix 3 kääntäjän malline"
+msgstr "Lisää Kylix 3 -kääntäjän malline"
 
 #: lazarusidestrconsts.liscodetoolsdefsinsertkylix3directorytem
 msgid "Insert Kylix 3 Directory Template"
-msgstr "Lisää Kylix 3 hakemiston malline"
+msgstr "Lisää Kylix 3 -hakemiston malline"
 
 #: lazarusidestrconsts.liscodetoolsdefsinsertkylix3projecttempl
 msgid "Insert Kylix 3 Project Template"
-msgstr "Lisää Kylix 3 projektin malline"
+msgstr "Lisää Kylix 3 -projektin malline"
 
 #: lazarusidestrconsts.liscodetoolsdefsinsertnodeaschild
 msgid "Insert node as child"
@@ -5603,7 +5608,7 @@
 
 #: lazarusidestrconsts.liscodetoolsdefsparentnodecannotcontainch
 msgid "Parent node cannot contain child nodes."
-msgstr "Emo-solmu ei voi sisältää lapsi-solmuja"
+msgstr "Emosolmu ei voi sisältää lapsi-solmuja"
 
 #: lazarusidestrconsts.liscodetoolsdefspreviousnodecannotcontainchildnodes
 msgid "Previous node can not contain child nodes."
@@ -5632,31 +5637,31 @@
 
 #: lazarusidestrconsts.liscodetoolsdefsthefreepascalcvssourcedirectory
 msgid "The Free Pascal SVN source directory. Not required. This will improve find declaration and debugging."
-msgstr "Free Pascal SVN lähdehakemisto. Ei välttämätön. Auttaa määritysten haussa ja virheenjäljityksessä."
+msgstr "Free Pascal SVN -lähdehakemisto. Ei välttämätön. Auttaa määritysten haussa ja virheenjäljityksessä."
 
 #: lazarusidestrconsts.liscodetoolsdefsthefreepascalprojectdirectory
 msgid "The Free Pascal project directory."
-msgstr "Free Pascal projektihakemisto."
+msgstr "Free Pascal -projektihakemisto."
 
 #: lazarusidestrconsts.liscodetoolsdefsthefreepascalsvnsourcedir
 msgid "The Free Pascal SVN source directory."
-msgstr "Free Pascal SVN lähdehakemisto."
+msgstr "Free Pascal SVN -lähdehakemisto."
 
 #: lazarusidestrconsts.liscodetoolsdefsthepathtothefreepascalcompilerforexample
 msgid "The path to the Free Pascal compiler.%s For example %s/usr/bin/%s -n%s or %s/usr/local/bin/fpc @/etc/fpc.cfg%s."
-msgstr "Free Pascal kääntäjän polku.%s Esim. %s/usr/bin/%s -n%s tai %s/usr/local/bin/fpc @/etc/fpc.cfg%s."
+msgstr "Free Pascal -kääntäjän polku.%s Esim. %s/usr/bin/%s -n%s tai %s/usr/local/bin/fpc @/etc/fpc.cfg%s."
 
 #: lazarusidestrconsts.liscodetoolsdefsthepathtothefreepascalcompilerforthisproject
 msgid "The path to the Free Pascal compiler for this project. Only required if you set the FPC SVN source below. Used to autocreate macros."
-msgstr "Free Pascal kääntäjän polku tälle projektille. Tarvitaan vain jos FPC SVN lähde asetataan (alla). Käytetään makrojen luontiin."
+msgstr "Free Pascal -kääntäjän polku tälle projektille. Tarvitaan vain jos FPC SVN -lähde asetataan (alla). Käytetään makrojen luontiin."
 
 #: lazarusidestrconsts.liscodetoolsdefsthepathtothefreepascalcompilerforthissourceusedtoa
 msgid "The path to the Free Pascal compiler for this source.%sUsed to autocreate macros."
-msgstr "Free Pascal kääntäjän polku tälle koodille.%sKäytetään makrojen luontiin."
+msgstr "Free Pascal -kääntäjän polku tälle koodille.%sKäytetään makrojen luontiin."
 
 #: lazarusidestrconsts.liscodetoolsdefstheprojectdirectory
 msgid "The %s project directory,%swhich contains the .dpr, dpk file."
-msgstr "Projektin %s hakemisto,%smissä ovat .dpr, dpk tiedostot."
+msgstr "Projektin %s hakemisto,%smissä ovat .dpr- ja dpk-tiedostot."
 
 #: lazarusidestrconsts.liscodetoolsdefsundefine
 msgid "Undefine"
@@ -5668,7 +5673,7 @@
 
 #: lazarusidestrconsts.liscodetoolsdefsundefinerecurse
 msgid "Undefine Recurse"
-msgstr "Poista Recurse määrittely"
+msgstr "Poista Recurse-määrittely"
 
 #: lazarusidestrconsts.liscodetoolsdefsvalueasfilepaths
 msgid "Value as File Paths"
@@ -5751,7 +5756,7 @@
 
 #: lazarusidestrconsts.liscodetoolstemplatefile
 msgid "CodeTools template file"
-msgstr "CodeTools mallinetiedosto"
+msgstr "CodeTools-mallinetiedosto"
 
 #: lazarusidestrconsts.liscoexecuteafter
 msgid "Execute after"
@@ -5829,7 +5834,7 @@
 
 #: lazarusidestrconsts.liscompilernoteloadingoldcodetoolsoptionsfile
 msgid "NOTE: loading old codetools options file: "
-msgstr "Huom. luetaan vanha codetools asetustiedosto: "
+msgstr "Huom. luetaan vanha codetools-asetustiedosto: "
 
 #: lazarusidestrconsts.liscompilestage
 msgctxt "lazarusidestrconsts.liscompilestage"
@@ -5900,7 +5905,7 @@
 
 #: lazarusidestrconsts.lisconfigdirectory
 msgid "Lazarus config directory"
-msgstr "Lazaruksen asetus-hakemisto"
+msgstr "Lazaruksen asetushakemisto"
 
 #: lazarusidestrconsts.lisconfigurebuild
 msgid "Configure Build %s"
@@ -5965,7 +5970,7 @@
 
 #: lazarusidestrconsts.lisconsoleapplicationprogramdescriptor
 msgid "A Free Pascal command line program using TCustomApplication to easily check command line options, handling exceptions, etc."
-msgstr "Free Pascal komentoriviohjelma. Käyttää TCustomApplication luokkaa parametrien lukemiseen, keskytysten hallintaan jne."
+msgstr "Free Pascal -komentoriviohjelma. Käyttää TCustomApplication-luokkaa parametrien lukemiseen, keskeytysten hallintaan jne."
 
 #: lazarusidestrconsts.lisconstructorcode
 msgid "Constructor code"
@@ -6050,15 +6055,15 @@
 
 #: lazarusidestrconsts.lisconvdelphiconvertdelphipackage
 msgid "Convert Delphi package"
-msgstr "Muunna Delphi paketti"
+msgstr "Muunna Delphi-paketti"
 
 #: lazarusidestrconsts.lisconvdelphiconvertdelphiproject
 msgid "Convert Delphi project"
-msgstr "Muunna Delphi projekti"
+msgstr "Muunna Delphi-projekti"
 
 #: lazarusidestrconsts.lisconvdelphiconvertdelphiunit
 msgid "Convert Delphi unit"
-msgstr "Muunna Delphi käännösyksikkö"
+msgstr "Muunna Delphi-käännösyksikkö"
 
 #: lazarusidestrconsts.lisconvdelphiconvertingfile
 msgid "* Converting file %s *"
@@ -6102,7 +6107,7 @@
 
 #: lazarusidestrconsts.lisconvdelphifunc
 msgid "Delphi Function"
-msgstr "Delphi functio"
+msgstr "Delphi-funktio"
 
 #: lazarusidestrconsts.lisconvdelphimissingincludefile
 msgid "%s(%s,%s) missing include file"
@@ -6110,7 +6115,7 @@
 
 #: lazarusidestrconsts.lisconvdelphiname
 msgid "Delphi Name"
-msgstr "Delphi nimi"
+msgstr "Delphi-nimi"
 
 #: lazarusidestrconsts.lisconvdelphipackagenameexists
 msgid "Package name exists"
@@ -6196,11 +6201,11 @@
 
 #: lazarusidestrconsts.lisconverttargetsamedfmfile
 msgid "Use the same DFM form file"
-msgstr "Käytä samaa DFM lomaketiedostoa"
+msgstr "Käytä samaa DFM-lomaketiedostoa"
 
 #: lazarusidestrconsts.lisconverttargetsamedfmfilehint
 msgid "Same DFM file for Lazarus and Delphi instead of copying it to LFM"
-msgstr "Sama DFM lomake Lazaruksen ja Delphin käyttöön. Ei kopioida LFM lomakkeeksi"
+msgstr "Sama DFM-lomake Lazaruksen ja Delphin käyttöön. Ei kopioida LFM-lomakkeeksi"
 
 #: lazarusidestrconsts.lisconverttargetsupportdelphi
 msgid "Support Delphi"
@@ -6216,7 +6221,7 @@
 
 #: lazarusidestrconsts.lisconvfuncreplhint
 msgid "Some Delphi functions can be replaced with LCL function"
-msgstr "Jotkut Delphin funktiot voidaan korvata LCL funktioilla"
+msgstr "Jotkut Delphin-funktiot voidaan korvata LCL-funktioilla"
 
 #: lazarusidestrconsts.lisconvfuncstoreplace
 msgid "Functions / procedures to replace"
@@ -6232,7 +6237,7 @@
 
 #: lazarusidestrconsts.lisconvparentcontainer
 msgid "Parent Container"
-msgstr "Emo-säiliö"
+msgstr "Emosäiliö"
 
 #: lazarusidestrconsts.lisconvtopoff
 msgid "Top offset"
@@ -6325,7 +6330,7 @@
 
 #: lazarusidestrconsts.liscoscanforfpcmessages
 msgid "Scan for FPC messages"
-msgstr "Käy läpi FPC viestit"
+msgstr "Käy läpi FPC-viestit"
 
 #: lazarusidestrconsts.liscoscanformakemessages
 msgid "Scan for Make messages"
@@ -6381,7 +6386,7 @@
 
 #: lazarusidestrconsts.liscreatedebugandreleasemodes
 msgid "Create Debug and Release modes"
-msgstr "Luo Debug ja Release moodit"
+msgstr "Luo Debug- ja Release-moodit"
 
 #: lazarusidestrconsts.liscreatedirectory
 msgid "Create directory?"
@@ -6413,7 +6418,7 @@
 
 #: lazarusidestrconsts.liscreateupdatepofilewhensavingalfmfile
 msgid "Create/update .po file when saving a lfm file"
-msgstr "Luo tai päivitä .po tiedosto kun lfm tiedosto talletetaan"
+msgstr "Luo tai päivitä .po-tiedosto, kun lfm-tiedosto talletetaan"
 
 #: lazarusidestrconsts.liscreatingfileindexoffpcsources
 msgid "Creating file index of FPC sources %s ..."
@@ -6435,7 +6440,7 @@
 
 #: lazarusidestrconsts.lisctdefcodetoolsdirectoryvalues
 msgid "CodeTools Directory Values"
-msgstr "CodeTools hakemiston arvot"
+msgstr "CodeTools-hakemiston arvot"
 
 #: lazarusidestrconsts.lisctdefdefinetemplates
 msgid "Define templates"
@@ -6500,7 +6505,7 @@
 
 #: lazarusidestrconsts.liscustomopthint
 msgid "These options are passed to the compiler after comments are deleted and macros are replaced."
-msgstr "Nämä asetukset viedään kääntäjälle kun kommentit on poistettu ja makrot korvattu."
+msgstr "Nämä asetukset viedään kääntäjälle, kun kommentit on poistettu ja makrot korvattu."
 
 #: lazarusidestrconsts.liscustomoptions
 msgid "custom options"
@@ -6516,7 +6521,7 @@
 
 #: lazarusidestrconsts.liscustomprogramprogramdescriptor
 msgid "A Custom Free Pascal program."
-msgstr "Mukautettu Free Pascal ohjelma."
+msgstr "Mukautettu Free Pascal -ohjelma."
 
 #: lazarusidestrconsts.liscut
 msgctxt "lazarusidestrconsts.liscut"
@@ -6616,7 +6621,7 @@
 
 #: lazarusidestrconsts.lisdbgenoutputdebugstring
 msgid "Output Debug String"
-msgstr "Näytä virheenjäljitys-teksti"
+msgstr "Näytä virheenjäljitysteksti"
 
 #: lazarusidestrconsts.lisdbgenprocessexit
 msgid "Process Exit"
@@ -6747,7 +6752,7 @@
 
 #: lazarusidestrconsts.lisdebugoptionsfrmdebuggerspecific
 msgid "Debugger specific options (depends on type of debugger)"
-msgstr "Virheenjäljitin-kohtaiset asetukset (riippuu tyypistä)"
+msgstr "Virheenjäljitinkohtaiset asetukset (riippuu tyypistä)"
 
 #: lazarusidestrconsts.lisdebugoptionsfrmduplicateexceptionname
 msgid "Duplicate Exception name"
@@ -7063,7 +7068,7 @@
 
 #: lazarusidestrconsts.lisdirectorywheretheideputsthepofiles
 msgid "Directory where the IDE puts the .po files"
-msgstr "Hakemisto mihin IDE laittaa .po tiedostot"
+msgstr "Hakemisto mihin IDE laittaa .po-tiedostot"
 
 #: lazarusidestrconsts.lisdisableallinsamesource
 msgid "Disable All in same source"
@@ -7275,7 +7280,7 @@
 
 #: lazarusidestrconsts.lisdsgselectparentcomponent
 msgid "Select parent component"
-msgstr "Valitse emo-komponentti"
+msgstr "Valitse emokomponentti"
 
 #: lazarusidestrconsts.lisduplicate
 msgid "Duplicate"
@@ -7352,23 +7357,23 @@
 
 #: lazarusidestrconsts.lisedtdefsetfpcmodetodelphi
 msgid "set FPC mode to DELPHI"
-msgstr "Aseta 'FPC mode'n arvoksi DELPHI"
+msgstr "Aseta 'FPC mode':n arvoksi DELPHI"
 
 #: lazarusidestrconsts.lisedtdefsetfpcmodetofpc
 msgid "set FPC mode to FPC"
-msgstr "Aseta 'FPC mode'n arvoksi FPC"
+msgstr "Aseta 'FPC mode':n arvoksi FPC"
 
 #: lazarusidestrconsts.lisedtdefsetfpcmodetogpc
 msgid "set FPC mode to GPC"
-msgstr "Aseta 'FPC mode'n arvoksi GPC"
+msgstr "Aseta 'FPC mode':n arvoksi GPC"
 
 #: lazarusidestrconsts.lisedtdefsetfpcmodetomacpas
 msgid "set FPC mode to MacPas"
-msgstr "Aseta 'FPC mode'n arvoksi MacPas"
+msgstr "Aseta 'FPC mode':n arvoksi MacPas"
 
 #: lazarusidestrconsts.lisedtdefsetfpcmodetotp
 msgid "set FPC mode to TP"
-msgstr "Aseta 'FPC mode'n arvoksi TP"
+msgstr "Aseta 'FPC mode':n arvoksi TP"
 
 #: lazarusidestrconsts.lisedtdefsetiocheckson
 msgid "set IOCHECKS on"
@@ -7685,7 +7690,7 @@
 
 #: lazarusidestrconsts.liserrorreadingxmlfile
 msgid "Error reading xml file %s%s%s%s%s"
-msgstr "Virhe luettaessa xml tiedostosta %s%s%s%s%s"
+msgstr "Virhe luettaessa xml-tiedostosta %s%s%s%s%s"
 
 #: lazarusidestrconsts.liserrorrenamingfile
 msgid "Error renaming file"
@@ -7961,7 +7966,7 @@
 
 #: lazarusidestrconsts.lisfilefilterstitle
 msgid "These are file filters that will appear in all File Open dialogs"
-msgstr "Nämä tiedostosuotimet näkyvät kaikissa 'Avaa Tiedosto' ikkunoissa"
+msgstr "Nämä tiedostosuotimet näkyvät kaikissa 'Avaa Tiedosto' -ikkunoissa"
 
 #: lazarusidestrconsts.lisfilehaschangedsave
 msgid "File %s%s%s has changed. Save?"
@@ -8037,11 +8042,11 @@
 
 #: lazarusidestrconsts.lisfilesinasciiorutf8encoding
 msgid "Files in ASCII or UTF-8 encoding"
-msgstr "ASCII tai UTF-8 koodatut tiedostot"
+msgstr "ASCII- tai UTF-8-koodatut tiedostot"
 
 #: lazarusidestrconsts.lisfilesnotinasciinorutf8encoding
 msgid "Files not in ASCII nor UTF-8 encoding"
-msgstr "Muut kuin ASCII tai UTF-8 koodatut tiedostot"
+msgstr "Muut kuin ASCII- tai UTF-8-koodatut tiedostot"
 
 #: lazarusidestrconsts.lisfilewheredebugoutputiswritten
 msgid "file, where debug output is written to. If it is not specified, debug output is written to the console."
@@ -8121,7 +8126,7 @@
 
 #: lazarusidestrconsts.lisfixlfmfile
 msgid "Fix LFM file"
-msgstr "LFM tiedoston korjaus"
+msgstr "LFM-tiedoston korjaus"
 
 #: lazarusidestrconsts.lisfloatingpoin
 msgid "Floating Point"
@@ -8161,11 +8166,11 @@
 
 #: lazarusidestrconsts.lisfpcresources
 msgid "FPC resources"
-msgstr "FPC resurssit"
+msgstr "FPC-resurssit"
 
 #: lazarusidestrconsts.lisfpcsources
 msgid "FPC sources"
-msgstr "FPC lähdekoodi"
+msgstr "FPC-lähdekoodi"
 
 #: lazarusidestrconsts.lisfpctooold
 msgid "FPC too old"
@@ -8173,16 +8178,16 @@
 
 #: lazarusidestrconsts.lisfpcversion
 msgid "FPC Version: "
-msgstr "FPC versio: "
+msgstr "FPC-versio: "
 
 #: lazarusidestrconsts.lisfpcversioneg222
 msgid "FPC Version (e.g. 2.2.2)"
-msgstr "FPC versio (esim. 2.2.2)"
+msgstr "FPC-versio (esim. 2.2.2)"
 
 #: lazarusidestrconsts.lisfpdoceditor
 msgctxt "lazarusidestrconsts.lisfpdoceditor"
 msgid "FPDoc Editor"
-msgstr "FPDoc muokkain"
+msgstr "FPDoc-muokkain"
 
 #: lazarusidestrconsts.lisfpdocerrorwriting
 msgid "Error writing \"%s\"%s%s"
@@ -8190,7 +8195,7 @@
 
 #: lazarusidestrconsts.lisfpdocfpdocsyntaxerror
 msgid "FPDoc syntax error"
-msgstr "FPDoc kielioppivirhe"
+msgstr "FPDoc-kielioppivirhe"
 
 #: lazarusidestrconsts.lisfpdocpackagename
 msgid "FPDoc package name:"
@@ -8202,7 +8207,7 @@
 
 #: lazarusidestrconsts.lisfpdocthereisasyntaxerrorinthefpdocelement
 msgid "There is a syntax error in the fpdoc element \"%s\":%s%s"
-msgstr "FPDoc elementissä \"%s\":%s%s on kielioppivirhe"
+msgstr "FPDoc-elementissä \"%s\":%s%s on kielioppivirhe"
 
 #: lazarusidestrconsts.lisframe
 msgid "Frame"
@@ -8218,11 +8223,11 @@
 
 #: lazarusidestrconsts.lisfreepascalcompilermessages
 msgid "Free Pascal Compiler messages"
-msgstr "Free Pascal kääntäjän viestit"
+msgstr "Free Pascal -kääntäjän viestit"
 
 #: lazarusidestrconsts.lisfreepascalsourcedirectory
 msgid "Free Pascal source directory"
-msgstr "Free Pascal lähdekoodihakemisto"
+msgstr "Free Pascal -lähdekoodihakemisto"
 
 #: lazarusidestrconsts.lisfrforwardsearch
 msgid "Forwar&d search"
@@ -8377,7 +8382,7 @@
 
 #: lazarusidestrconsts.lishfmhelpforfreepascalcompilermessage
 msgid "Help for Free Pascal Compiler message"
-msgstr "Free Pascal kääntäjän viestien ohje"
+msgstr "Free Pascal -kääntäjän viestien ohje"
 
 #: lazarusidestrconsts.lishidemessageviadirective
 msgid "Hide message via directive"
@@ -8453,7 +8458,7 @@
 
 #: lazarusidestrconsts.lishofpcdochtmlpath
 msgid "FPC Doc HTML Path"
-msgstr "FPC Doc HTML polku"
+msgstr "FPC Doc HTML-polku"
 
 #: lazarusidestrconsts.lishorizontal
 msgid "Horizontal"
@@ -8498,7 +8503,7 @@
 
 #: lazarusidestrconsts.lisidemacros
 msgid "IDE Macros"
-msgstr "IDE Makrot"
+msgstr "IDE-makrot"
 
 #: lazarusidestrconsts.lisidentifier
 msgid "identifier"
@@ -8602,7 +8607,7 @@
 
 #: lazarusidestrconsts.lisimplementationcommentforclass
 msgid "Implementation comment for class"
-msgstr "Luokan toteutus-osan kommentti"
+msgstr "Luokan toteutusosan kommentti"
 
 #: lazarusidestrconsts.lisimport
 msgctxt "lazarusidestrconsts.lisimport"
@@ -8655,7 +8660,7 @@
 
 #: lazarusidestrconsts.lisindentationforpascalsources
 msgid "Indentation for Pascal sources"
-msgstr "Pascal lähdekoodin sisennys"
+msgstr "Pascal-lähdekoodin sisennys"
 
 #: lazarusidestrconsts.lisindex
 msgid "Index"
@@ -8919,10 +8924,9 @@
 msgstr "Kelvoton Pascal-tunniste"
 
 #: lazarusidestrconsts.lisinvalidpascalidentifiertext
-#, fuzzy
 #| msgid "The name \"%s\" is not a valid pascal identifier."
 msgid "The name \"%s\" is not a valid Pascal identifier."
-msgstr "Nimi \"%s\" ei ole kelvollinen pascalin tunniste."
+msgstr "Nimi \"%s\" ei ole kelvollinen Pascalin tunniste."
 
 #: lazarusidestrconsts.lisinvalidprocname
 msgid "Invalid proc name"
@@ -9072,7 +9076,7 @@
 
 #: lazarusidestrconsts.liskmcodetoolsdefineseditor
 msgid "CodeTools defines editor"
-msgstr "CodeTools määritysten muokkain"
+msgstr "CodeTools-määritysten muokkain"
 
 #: lazarusidestrconsts.liskmcompileprojectprogram
 msgid "Compile project/program"
@@ -9092,15 +9096,15 @@
 
 #: lazarusidestrconsts.liskmconvertdelphipackagetolazaruspackage
 msgid "Convert Delphi package to Lazarus package"
-msgstr "Muunna Delphi paketti Lazarukselle"
+msgstr "Muunna Delphi-paketti Lazarukselle"
 
 #: lazarusidestrconsts.liskmconvertdelphiprojecttolazarusproject
 msgid "Convert Delphi Project to Lazarus Project"
-msgstr "Muunna Delphi projekti Lazarukselle"
+msgstr "Muunna Delphi-projekti Lazarukselle"
 
 #: lazarusidestrconsts.liskmconvertdelphiunittolazarusunit
 msgid "Convert Delphi Unit to Lazarus Unit"
-msgstr "Muunna Delphi käännösyksikkö Lazarukselle"
+msgstr "Muunna Delphi-käännösyksikkö Lazarukselle"
 
 #: lazarusidestrconsts.liskmconvertdfmfiletolfm
 msgid "Convert DFM File to LFM"
@@ -9573,11 +9577,11 @@
 
 #: lazarusidestrconsts.lislazarusfile
 msgid "Lazarus file"
-msgstr "Lazarus tiedosto"
+msgstr "Lazarus-tiedosto"
 
 #: lazarusidestrconsts.lislazarusform
 msgid "Lazarus form"
-msgstr "Lazarus lomake"
+msgstr "Lazarus-lomake"
 
 #: lazarusidestrconsts.lislazaruside
 msgid "Lazarus IDE"
@@ -9605,23 +9609,23 @@
 
 #: lazarusidestrconsts.lislazaruspackage
 msgid "Lazarus package"
-msgstr "Lazarus paketti"
+msgstr "Lazarus-paketti"
 
 #: lazarusidestrconsts.lislazarusproject
 msgid "Lazarus project"
-msgstr "Lazarus projekti"
+msgstr "Lazarus-projekti"
 
 #: lazarusidestrconsts.lislazarusprojectinfofile
 msgid "Lazarus Project Info file"
-msgstr "Lazarus projektin tietoja"
+msgstr "Lazarus-projektin tietoja"
 
 #: lazarusidestrconsts.lislazarusprojectsource
 msgid "Lazarus project source"
-msgstr "Lazarus projektin lähdekoodi"
+msgstr "Lazarus-projektin lähdekoodi"
 
 #: lazarusidestrconsts.lislazarusunit
 msgid "Lazarus unit"
-msgstr "Lazarus käännösyksikkö"
+msgstr "Lazarus-käännösyksikkö"
 
 #: lazarusidestrconsts.lislazbuildaboaction
 msgctxt "lazarusidestrconsts.lislazbuildaboaction"
@@ -9736,7 +9740,7 @@
 
 #: lazarusidestrconsts.lislazbuildrestartlazarusautomatically
 msgid "Restart Lazarus automatically after building the IDE (has no effect when building other parts)"
-msgstr "Käynnistä Lazarus automatically IDE:n kokoamisen jälkeen (ei vaikuta kun kootaan muita osia)"
+msgstr "Käynnistä Lazarus automaattisesti IDE:n kokoamisen jälkeen (ei vaikuta, kun kootaan muita osia)"
 
 #: lazarusidestrconsts.lislazbuildselectprofilestobuild
 msgid "Select profiles to build"
@@ -9744,7 +9748,7 @@
 
 #: lazarusidestrconsts.lislazbuildshowconfirmationdialogwhenbuilding
 msgid "Show confirmation dialog when building directly from Tools menu"
-msgstr "Kysy varmistusta kun kootaan suoraan Työkalut-valikosta"
+msgstr "Kysy varmistusta, kun kootaan suoraan Työkalut-valikosta"
 
 #: lazarusidestrconsts.lislazbuildshowoptionsanddefinesforcommandline
 msgid "Show options and defines for command line"
@@ -9752,15 +9756,15 @@
 
 #: lazarusidestrconsts.lislazbuildtargetcpu
 msgid "Target CPU:"
-msgstr "Kohde CPU:"
+msgstr "Kohde-CPU:"
 
 #: lazarusidestrconsts.lislazbuildtargetdirectory
 msgid "Target directory:"
-msgstr "Kohde hakemisto:"
+msgstr "Kohdehakemisto:"
 
 #: lazarusidestrconsts.lislazbuildtargetos
 msgid "Target OS:"
-msgstr "Kohde käyttis:"
+msgstr "Kohdekäyttöjärjestelmä"
 
 #: lazarusidestrconsts.lislazbuildunabletowritefile
 msgid "Unable to write file \"%s\":%s"
@@ -9780,7 +9784,7 @@
 
 #: lazarusidestrconsts.lislclwidgettype
 msgid "LCL widget type"
-msgstr "LCL käyttöliittymäkirjasto"
+msgstr "LCL-käyttöliittymäkirjasto"
 
 #: lazarusidestrconsts.lisldaddlinktoinherited
 msgid "Add link to inherited"
@@ -9821,7 +9825,7 @@
 
 #: lazarusidestrconsts.lisleftsiblingcomboboxhint
 msgid "This is the sibling control to which the left side is anchored. Leave empty for parent."
-msgstr "Tämä on naapuri-kontrolli, mihin vasen reuna on ankkuroitu. Tyhjä tarkoittaa emo-kontrollia."
+msgstr "Tämä on naapurikontrolli, mihin vasen reuna on ankkuroitu. Tyhjä tarkoittaa emokontrollia."
 
 #: lazarusidestrconsts.lisleftsides
 msgid "Left sides"
@@ -9842,7 +9846,7 @@
 
 #: lazarusidestrconsts.lislfmfile
 msgid "LFM file"
-msgstr "LFM tiedosto"
+msgstr "LFM-tiedosto"
 
 #: lazarusidestrconsts.lislfmfilecontainsinvalidproperties
 msgid "The LFM file contains unknown properties/classes which do not exist in the LCL. They can be replaced or removed."
@@ -9955,7 +9959,7 @@
 
 #: lazarusidestrconsts.lislrsincludefiles
 msgid "lrs include files"
-msgstr "lrs include tiedostot"
+msgstr "lrs include -tiedostot"
 
 #: lazarusidestrconsts.lismacpascal
 msgid "Mac Pascal"
@@ -9991,7 +9995,7 @@
 
 #: lazarusidestrconsts.lismakeexe
 msgid "Make Executable"
-msgstr "Make ohjelma"
+msgstr "Make-ohjelma"
 
 #: lazarusidestrconsts.lismakenotfound
 msgid "Make not found"
@@ -10133,7 +10137,7 @@
 
 #: lazarusidestrconsts.lismenuchecklfm
 msgid "Check LFM File in Editor"
-msgstr "Tarkista editorissa oleva LFM tiedosto"
+msgstr "Tarkista editorissa oleva LFM-tiedosto"
 
 #: lazarusidestrconsts.lismenucleandirectory
 msgid "Clean Directory ..."
@@ -10157,7 +10161,7 @@
 
 #: lazarusidestrconsts.lismenucodetoolsdefineseditor
 msgid "CodeTools Defines Editor ..."
-msgstr "CodeTools määritysten muokkain ..."
+msgstr "CodeTools-määritysten muokkain ..."
 
 #: lazarusidestrconsts.lismenucommentselection
 msgid "Comment Selection"
@@ -10190,19 +10194,19 @@
 
 #: lazarusidestrconsts.lismenuconvertdelphipackage
 msgid "Convert Delphi Package to Lazarus Package ..."
-msgstr "Muunna Delphi paketti Lazarukselle ..."
+msgstr "Muunna Delphi-paketti Lazarukselle ..."
 
 #: lazarusidestrconsts.lismenuconvertdelphiproject
 msgid "Convert Delphi Project to Lazarus Project ..."
-msgstr "Muunna Delphi projekti Lazarukselle ..."
+msgstr "Muunna Delphi-projekti Lazarukselle ..."
 
 #: lazarusidestrconsts.lismenuconvertdelphiunit
 msgid "Convert Delphi Unit to Lazarus Unit ..."
-msgstr "Muunna Delphi käännösyksikkö Lazarukselle ..."
+msgstr "Muunna Delphi-käännösyksikkö Lazarukselle ..."
 
 #: lazarusidestrconsts.lismenuconvertdfmtolfm
 msgid "Convert Binary DFM to Text LFM + Check Syntax ..."
-msgstr "Muunna binaari DFM-tiedosto LFM:ksi ja tarkista kielioppi ..."
+msgstr "Muunna binaarinen DFM-tiedosto teksti-LFM:ksi ja tarkista kielioppi ..."
 
 #: lazarusidestrconsts.lismenuconvertencoding
 msgid "Convert Encoding of Projects/Packages ..."
@@ -10210,7 +10214,7 @@
 
 #: lazarusidestrconsts.lismenudebugwindows
 msgid "Debug Windows"
-msgstr "Virheenjäljitys-ikkunat"
+msgstr "Virheenjäljitysikkunat"
 
 #: lazarusidestrconsts.lismenudiff
 msgid "Diff ..."
@@ -10407,7 +10411,7 @@
 
 #: lazarusidestrconsts.lismenuinsertcvskeyword
 msgid "Insert CVS Keyword"
-msgstr "Liitä CVS avainsana"
+msgstr "Liitä CVS-avainsana"
 
 #: lazarusidestrconsts.lismenuinsertdatetime
 msgid "Current Date and Time"
@@ -10423,19 +10427,19 @@
 
 #: lazarusidestrconsts.lismenuinsertgplnotice
 msgid "GPL Notice"
-msgstr "GPL ilmoitus"
+msgstr "GPL-ilmoitus"
 
 #: lazarusidestrconsts.lismenuinsertlgplnotice
 msgid "LGPL Notice"
-msgstr "LGPL ilmoitus"
+msgstr "LGPL -ilmoitus"
 
 #: lazarusidestrconsts.lismenuinsertmitnotice
 msgid "MIT Notice"
-msgstr "MIT ilmoitus"
+msgstr "MIT-ilmoitus"
 
 #: lazarusidestrconsts.lismenuinsertmodifiedlgplnotice
 msgid "Modified LGPL Notice"
-msgstr "Muunnettu LGPL ilmoitus"
+msgstr "Muunnettu LGPL-ilmoitus"
 
 #: lazarusidestrconsts.lismenuinsertusername
 msgid "Current Username"
@@ -10633,7 +10637,7 @@
 
 #: lazarusidestrconsts.lismenurescanfpcsourcedirectory
 msgid "Rescan FPC Source Directory"
-msgstr "Lue uudelleen FPC lähdekoodit"
+msgstr "Lue uudelleen FPC-lähdekoodit"
 
 #: lazarusidestrconsts.lismenuresetdebugger
 msgid "Reset Debugger"
@@ -10940,7 +10944,7 @@
 #: lazarusidestrconsts.lismenuviewsourceeditor
 msgctxt "lazarusidestrconsts.lismenuviewsourceeditor"
 msgid "Source Editor"
-msgstr "Lähdekoodi editori"
+msgstr "Lähdekoodieditori"
 
 #: lazarusidestrconsts.lismenuviewtaborder
 msgid "Tab Order"
@@ -11123,11 +11127,11 @@
 
 #: lazarusidestrconsts.lismmidemacro
 msgid "IDE Macro"
-msgstr "IDE Makro"
+msgstr "IDE-makro"
 
 #: lazarusidestrconsts.lismmidemacro2
 msgid "IDE Macro %s:=%s"
-msgstr "IDE Makro %s:=%s"
+msgstr "IDE-makro %s:=%s"
 
 #: lazarusidestrconsts.lismminvalidcharacterat
 msgid "invalid character \"%s\" at %s"
@@ -11340,7 +11344,7 @@
 
 #: lazarusidestrconsts.lisnewmacroname2
 msgid "New Macroname"
-msgstr "Uusi Makron nimi"
+msgstr "Uusi makron nimi"
 
 #: lazarusidestrconsts.lisnewproject
 msgid "(new project)"
@@ -11392,7 +11396,7 @@
 
 #: lazarusidestrconsts.lisnolfmfile
 msgid "No LFM file"
-msgstr "Ei LFM tiedostoa"
+msgstr "Ei LFM-tiedostoa"
 
 #: lazarusidestrconsts.lisnomacroselected
 msgid "No macro selected"
@@ -11416,7 +11420,7 @@
 
 #: lazarusidestrconsts.lisnopascalfile
 msgid "No Pascal file"
-msgstr "Ei Pascal tiedosto"
+msgstr "Ei Pascal-tiedosto"
 
 #: lazarusidestrconsts.lisnoprogramfilesfound
 msgid "No program file %s%s%s found."
@@ -11468,11 +11472,11 @@
 
 #: lazarusidestrconsts.lisnotecouldnotcreatedefinetemplateforfreepascal
 msgid "NOTE: Could not create Define Template for Free Pascal Sources"
-msgstr "Huom.: Ei voi luoda määritemallinetta Free Pascal koodille"
+msgstr "Huom.: Ei voi luoda määritemallinetta Free Pascal -koodille"
 
 #: lazarusidestrconsts.lisnotecouldnotcreatedefinetemplateforlazarussources
 msgid "NOTE: Could not create Define Template for Lazarus Sources"
-msgstr "Huom.: Ei voi luoda määritemallinetta Lazarus koodille"
+msgstr "Huom.: Ei voi luoda määritemallinetta Lazarus-koodille"
 
 #: lazarusidestrconsts.lisnotemplateselected
 msgid "no template selected"
@@ -11516,7 +11520,7 @@
 
 #: lazarusidestrconsts.lisobjectpath
 msgid "object path"
-msgstr "objekti polut"
+msgstr "objektipolut"
 
 #: lazarusidestrconsts.lisofeswitchtoobjectinspectorfavoritestab
 msgid "Switch to Object Inspector Favorites tab"
@@ -11605,7 +11609,7 @@
 
 #: lazarusidestrconsts.lisoipthispackageisinstalledbutthelpkfilewasnotfound
 msgid "%sThis package is installed, but the lpk file was not found"
-msgstr "%sPaketti on asennettu, mutta lpk tiedosto puuttuu"
+msgstr "%sPaketti on asennettu, mutta lpk-tiedosto puuttuu"
 
 #: lazarusidestrconsts.lisok
 msgctxt "lazarusidestrconsts.lisok"
@@ -11630,7 +11634,7 @@
 
 #: lazarusidestrconsts.lisonpastefromclipboard
 msgid "On paste from clipboard"
-msgstr "Liitettäessä leikepäydältä"
+msgstr "Liitettäessä leikepöydältä"
 
 #: lazarusidestrconsts.lisopen
 msgctxt "lazarusidestrconsts.lisopen"
@@ -11803,7 +11807,7 @@
 
 #: lazarusidestrconsts.lispascalfile
 msgid "Pascal file"
-msgstr "Pascal tiedosto"
+msgstr "Pascal-tiedosto"
 
 #: lazarusidestrconsts.lispasscount
 msgid "Pass Count"
@@ -12155,7 +12159,7 @@
 
 #: lazarusidestrconsts.lispckoptsautorebuildwhenrebuildingall
 msgid "Auto rebuild when rebuilding all"
-msgstr "Kokoa uudestaan automaattisesti kun kootaan kaikki"
+msgstr "Kokoa uudestaan automaattisesti, kun kootaan kaikki"
 
 #: lazarusidestrconsts.lispckoptscustom
 msgid "Custom"
@@ -12243,7 +12247,7 @@
 
 #: lazarusidestrconsts.lispckoptsupdaterebuild
 msgid "Update / Rebuild"
-msgstr "Päivitä / uudelleen kokoa"
+msgstr "Päivitä / uudelleenkokoa"
 
 #: lazarusidestrconsts.lispckoptsusage
 msgid "Usage"
@@ -12255,7 +12259,7 @@
 
 #: lazarusidestrconsts.lispcksearchpathsforfpdocxmlfilesmultiplepathsmustbesepa
 msgid "Search paths for fpdoc xml files. Multiple paths must be separated by semicolon."
-msgstr "Hakupolut fpdoc:in xml tiedostoille. Useampi polku pitää erottaa puolipisteellä."
+msgstr "Hakupolut fpdoc:in xml-tiedostoille. Useampi polku pitää erottaa puolipisteellä."
 
 #: lazarusidestrconsts.lispckshowunneededdependencies
 msgid "Show unneeded dependencies"
@@ -12263,7 +12267,7 @@
 
 #: lazarusidestrconsts.lispckwhentheformissavedtheidecanstoreallttranslatestring
 msgid "When the form is saved, the IDE can store all TTranslateString properties to the package po file. For this you must enable I18N for this package, provide a po output directory and leave this option unchecked."
-msgstr "Kun lomake on talletettu, IDE voi tallentaa kaikki TTranslateString ominaisuudet paketin po tiedostoon. Siksi I18N pitää sallia tälle paketille, antaa po hakemisto ja jättää tämä asetus ruksaamatta."
+msgstr "Kun lomake on talletettu, IDE voi tallentaa kaikki TTranslateString ominaisuudet paketin po tiedostoon. Siksi I18N pitää sallia tälle paketille, antaa po-hakemisto ja jättää tämä asetus ruksaamatta."
 
 #: lazarusidestrconsts.lispdabort
 msgctxt "lazarusidestrconsts.lispdabort"
@@ -12312,7 +12316,7 @@
 
 #: lazarusidestrconsts.lispenewfilenotinincludepath
 msgid "New file not in include path"
-msgstr "Uusi tiedosto ei ole include polussa"
+msgstr "Uusi tiedosto ei ole include-polussa"
 
 #: lazarusidestrconsts.lispenofilesmissingallfilesexist
 msgid "No files missing. All files exist."
@@ -12421,23 +12425,23 @@
 
 #: lazarusidestrconsts.lispkgfiletypeinclude
 msgid "Include file"
-msgstr "Include tiedosto"
+msgstr "Include-tiedosto"
 
 #: lazarusidestrconsts.lispkgfiletypeissues
 msgid "Issues xml file"
-msgstr "Ongelmien xml tiedosto"
+msgstr "Ongelmien xml-tiedosto"
 
 #: lazarusidestrconsts.lispkgfiletypelfm
 msgid "LFM - Lazarus form text"
-msgstr "LFM - Lazarus lomake tekstinä"
+msgstr "LFM - Lazarus-lomake tekstinä"
 
 #: lazarusidestrconsts.lispkgfiletypelrs
 msgid "LRS - Lazarus resource"
-msgstr "LRS - Lazarus resurssi"
+msgstr "LRS - Lazarus-resurssi"
 
 #: lazarusidestrconsts.lispkgfiletypemainunit
 msgid "Main Unit"
-msgstr "Pää-käännösyksikkö"
+msgstr "Pääkäännösyksikkö"
 
 #: lazarusidestrconsts.lispkgfiletypetext
 msgctxt "lazarusidestrconsts.lispkgfiletypetext"
@@ -12455,11 +12459,11 @@
 
 #: lazarusidestrconsts.lispkgmacropackagedirectoryparameterispackageid
 msgid "Package directory. Parameter is package ID"
-msgstr "Paketti-hakemisto. Parametri on paketin ID"
+msgstr "Pakettihakemisto. Parametri on paketin ID"
 
 #: lazarusidestrconsts.lispkgmacropackageincludefilessearchpathparameterispackageid
 msgid "Package include files search path. Parameter is package ID"
-msgstr "Paketin include tiedostojen hakupolku. Parametri on paketin ID"
+msgstr "Paketin include-tiedostojen hakupolku. Parametri on paketin ID"
 
 #: lazarusidestrconsts.lispkgmacropackagesourcesearchpathparameterispackageid
 msgid "Package source search path. Parameter is package ID"
@@ -12511,11 +12515,11 @@
 
 #: lazarusidestrconsts.lispkgmangdeleteoldpackagefile
 msgid "Delete Old Package File?"
-msgstr "Poistetaanko vanha paketti-tiedosto?"
+msgstr "Poistetaanko vanha pakettitiedosto?"
 
 #: lazarusidestrconsts.lispkgmangdeleteoldpackagefile2
 msgid "Delete old package file %s%s%s?"
-msgstr "Poistetaanko vanha paketti-tiedosto %s%s%s?"
+msgstr "Poistetaanko vanha pakettitiedosto %s%s%s?"
 
 #: lazarusidestrconsts.lispkgmangdependencywithoutowner
 msgid "Dependency without Owner: %s"
@@ -12531,7 +12535,7 @@
 
 #: lazarusidestrconsts.lispkgmangerrorupdatingpofilesfailedforpackage
 msgid "Error: updating po files failed for package %s"
-msgstr "Virhe päivitettäessä po tiedostoja paketille %s"
+msgstr "Virhe päivitettäessä po-tiedostoja paketille %s"
 
 #: lazarusidestrconsts.lispkgmangerrorwritingfile
 msgctxt "lazarusidestrconsts.lispkgmangerrorwritingfile"
@@ -12588,7 +12592,7 @@
 
 #: lazarusidestrconsts.lispkgmanginvalidpackagefileextension
 msgid "Invalid package file extension"
-msgstr "Kelvoton paketti-tiedoston tarkennin"
+msgstr "Kelvoton pakettitiedoston tarkennin"
 
 #: lazarusidestrconsts.lispkgmanginvalidpackagefilename
 msgid "Invalid package filename"
@@ -12628,7 +12632,7 @@
 
 #: lazarusidestrconsts.lispkgmangpackagemainsourcefile
 msgid "package main source file"
-msgstr "paketin pää-lähdekooditiedosto"
+msgstr "paketin päälähdekooditiedosto"
 
 #: lazarusidestrconsts.lispkgmangpackagenamealreadyexists
 msgid "Package name already exists"
@@ -12688,7 +12692,7 @@
 
 #: lazarusidestrconsts.lispkgmangstaticpackagesconfigfile
 msgid "static packages config file"
-msgstr "staattisten pakettien config tiedosto"
+msgstr "staattisten pakettien config-tiedosto"
 
 #: lazarusidestrconsts.lispkgmangthecompilerfileforpackageisnotavalidexecutable
 msgid "The compiler file for package %s is not a valid executable:%s%s"
@@ -12701,7 +12705,7 @@
 
 #: lazarusidestrconsts.lispkgmangthefileisnotalazaruspackage
 msgid "The file %s%s%s is not a Lazarus package."
-msgstr "Tiedosto %s%s%s ei ole Lazarus paketti."
+msgstr "Tiedosto %s%s%s ei ole Lazarus-paketti."
 
 #: lazarusidestrconsts.lispkgmangthefilenamedoesnotcorrespondtothepackage
 msgid "The filename %s%s%s does not correspond to the package name %s%s%s in the file.%sChange package name to %s%s%s?"
@@ -12737,7 +12741,7 @@
 
 #: lazarusidestrconsts.lispkgmangthepackagefilenameinisnotavalidlazaruspackagename
 msgid "The package file name %s%s%s in%s%s%s%s is not a valid Lazarus package name."
-msgstr "Pakettitiedoston nimi %s%s%s %s%s%s%s:ssa ei ole kelvollinen Lazarus paketin nimi."
+msgstr "Pakettitiedoston nimi %s%s%s %s%s%s%s:ssa ei ole kelvollinen Lazarus-paketin nimi."
 
 #: lazarusidestrconsts.lispkgmangthepackageisaruntimeonlypackageruntimeonlypackages
 msgid "The package %s is a runtime only package.%sRuntime only packages cannot be installed in the IDE."
@@ -12765,11 +12769,11 @@
 
 #: lazarusidestrconsts.lispkgmangthepackagewasmarkedcurrentlylazarus
 msgid "The package %s%s%s was marked.%sCurrently Lazarus only supports static linked packages. The real un-installation needs rebuilding and restarting of Lazarus.%s%sDo you want to rebuild Lazarus now?"
-msgstr "Paketti %s%s%s oli merkitty poistettavaksi.%sNykyinen Lazarus tukee ainoastaan staattisesti linkattuja paketteja. Poistaminen vaatii Lazaruksen uudelleen kokoamisen ja käynnistämisen.%s%sTehdäänkö se nyt?"
+msgstr "Paketti %s%s%s oli merkitty poistettavaksi.%sNykyinen Lazarus tukee ainoastaan staattisesti linkattuja paketteja. Poistaminen vaatii Lazaruksen uudelleenkokoamisen ja käynnistämisen.%s%sTehdäänkö se nyt?"
 
 #: lazarusidestrconsts.lispkgmangthepackagewasmarkedforinstallationcurrentlylazarus
 msgid "The package %s%s%s was marked for installation.%sCurrently Lazarus only supports static linked packages. The real installation needs rebuilding and restarting of Lazarus.%s%sDo you want to rebuild Lazarus now?"
-msgstr "Paketti %s%s%s oli merkitty asennettavaksi.%sNykyinen Lazarus tukee ainoastaan staattisesti linkattuja paketteja. Asennus vaatii Lazaruksen uudelleen kokoamisen ja käynnistämisen.%s%sTehdäänkö se nyt?"
+msgstr "Paketti %s%s%s oli merkitty asennettavaksi.%sNykyinen Lazarus tukee ainoastaan staattisesti linkattuja paketteja. Asennus vaatii Lazaruksen uudelleenkokoamisen ja käynnistämisen.%s%sTehdäänkö se nyt?"
 
 #: lazarusidestrconsts.lispkgmangtheprojectrequiresthepackagebutitwasnotfound
 msgid "The project requires the package %s%s%s.%sBut it was not found. See Project -> Project Inspector."
@@ -12825,7 +12829,7 @@
 
 #: lazarusidestrconsts.lispkgmangunabletocreatetargetdirectoryforlazarus
 msgid "Unable to create target directory for Lazarus:%s%s%s%s.%sThis directory is needed for the new changed Lazarus IDE with your custom packages."
-msgstr "Kohdehakemiston luominen Lazarus ei onnistu:%s%s%s%s.%sHakemisto tarvitaan"
+msgstr "Kohdehakemiston luominen Lazarusta varten ei onnistu:%s%s%s%s.%sHakemisto tarvitaan"
 
 #: lazarusidestrconsts.lispkgmangunabletodeletefile
 msgid "Unable to delete file %s%s%s."
@@ -13002,7 +13006,7 @@
 
 #: lazarusidestrconsts.lispldpackagelinks
 msgid "Package Links"
-msgstr "Paketti-linkit"
+msgstr "Pakettilinkit"
 
 #: lazarusidestrconsts.lispldshowgloballinks
 msgid "Show global links"
@@ -13087,11 +13091,11 @@
 
 #: lazarusidestrconsts.lisposaveinlpifil
 msgid "Save in .lpi file"
-msgstr "Tallenna .lpi tiedostoon"
+msgstr "Tallenna .lpi-tiedostoon"
 
 #: lazarusidestrconsts.lisposaveinlpsfileinprojectdirectory
 msgid "Save in .lps file in project directory"
-msgstr "Tallenna .lps tiedostoon projektihakemistossa"
+msgstr "Tallenna .lps-tiedostoon projektihakemistossa"
 
 #: lazarusidestrconsts.lisposavesessionfoldstate
 msgid "Save fold info"
@@ -13111,7 +13115,7 @@
 
 #: lazarusidestrconsts.lisprimaryconfigdirectorywherelazarusstoresitsconfig
 msgid "primary config directory, where Lazarus stores its config files. Default is "
-msgstr "ensisijainen hakemisto, minne lazarus tallentaa config-tiedostot. Oletus on "
+msgstr "ensisijainen hakemisto, minne Lazarus tallentaa config-tiedostot. Oletus on "
 
 #: lazarusidestrconsts.lisprimaryconfigpath
 msgid "Primary config path"
@@ -13190,7 +13194,7 @@
 
 #: lazarusidestrconsts.lisprojaddinvalidpascalunitname
 msgid "Invalid Pascal unit name"
-msgstr "Kelvoton Pascal käännösyksikön nimi"
+msgstr "Kelvoton Pascal -käännösyksikön nimi"
 
 #: lazarusidestrconsts.lisprojaddinvalidversion
 msgid "Invalid version"
@@ -13253,7 +13257,7 @@
 
 #: lazarusidestrconsts.lisprojaddtheunitnameisnotavalidpascalidentifier
 msgid "The unit name %s%s%s is not a valid Pascal identifier."
-msgstr "Käännösyksikön nimi %s%s%s ei ole kelvollinen Pascal tunniste."
+msgstr "Käännösyksikön nimi %s%s%s ei ole kelvollinen Pascal-tunniste."
 
 #: lazarusidestrconsts.lisprojaddtoproject
 msgctxt "lazarusidestrconsts.lisprojaddtoproject"
@@ -13454,15 +13458,15 @@
 
 #: lazarusidestrconsts.lisprotectedmethod
 msgid "Protected Method"
-msgstr "Protected - metodi"
+msgstr "Protected-metodi"
 
 #: lazarusidestrconsts.lispublicmethod
 msgid "Public Method"
-msgstr "Public - metodi"
+msgstr "Public-metodi"
 
 #: lazarusidestrconsts.lispublishedmethod
 msgid "Published Method"
-msgstr "Published - metodi"
+msgstr "Published-metodi"
 
 #: lazarusidestrconsts.lispublishprojdir
 msgid "Publish project directory"
@@ -13487,7 +13491,7 @@
 #: lazarusidestrconsts.lispvuapascalunitmusthavetheextensionpporpas
 msgctxt "lazarusidestrconsts.lispvuapascalunitmusthavetheextensionpporpas"
 msgid "A Pascal unit must have the extension .pp or .pas"
-msgstr "Pascal käännösyksiköllä pitää olla liite .pp tai .pas"
+msgstr "Pascal-käännösyksiköllä pitää olla liite .pp tai .pas"
 
 #: lazarusidestrconsts.lispvueditvirtualunit
 msgid "Edit virtual unit"
@@ -13505,7 +13509,7 @@
 
 #: lazarusidestrconsts.lispvutheunitnameisusedwhentheideextendsusesclauses
 msgid "The unitname is used when the IDE extends uses clauses"
-msgstr "Käännösyksikön nimeä käytetään kun Lazarus laajentaa uses-lauseketta."
+msgstr "Käännösyksikön nimeä käytetään, kun Lazarus laajentaa uses-lauseketta."
 
 #: lazarusidestrconsts.lispvuunitnameandfilenamedonotmatchexampleunit1pasanduni
 msgctxt "lazarusidestrconsts.lispvuunitnameandfilenamedonotmatchexampleunit1pasanduni"
@@ -13805,7 +13809,7 @@
 
 #: lazarusidestrconsts.lisrightsiblingcomboboxhint
 msgid "This is the sibling control to which the right side is anchored. Leave empty for parent."
-msgstr "Tämä on naapuri-kontrolli, mihin oikea reuna on ankkuroitu. Tyhjä tarkoittaa emo-kontrollia."
+msgstr "Tämä on naapurikontrolli, mihin oikea reuna on ankkuroitu. Tyhjä tarkoittaa emokontrollia."
 
 #: lazarusidestrconsts.lisrightsides
 msgid "Right sides"
@@ -13847,7 +13851,7 @@
 
 #: lazarusidestrconsts.lisrunparamsthehostapplicationisnotexecutable
 msgid "The host application %s%s%s is not executable."
-msgstr "Isäntä-ohjelma %s%s%s ei ole suoritettava."
+msgstr "Isäntäohjelma %s%s%s ei ole suoritettava."
 
 #: lazarusidestrconsts.lisrunstage
 msgctxt "lazarusidestrconsts.lisrunstage"
@@ -14252,7 +14256,7 @@
 
 #: lazarusidestrconsts.lissimpleprogramprogramdescriptor
 msgid "A most simple Free Pascal command line program."
-msgstr "Yksinkertaisin mahdollinen Free Pascal komentoriviohjelma"
+msgstr "Yksinkertaisin mahdollinen Free Pascal -komentoriviohjelma"
 
 #: lazarusidestrconsts.lissimplesyntax
 msgid "Simple syntax"
@@ -14534,7 +14538,7 @@
 
 #: lazarusidestrconsts.listargetcpu
 msgid "Target CPU"
-msgstr "Kohde CPU"
+msgstr "Kohde-CPU"
 
 #: lazarusidestrconsts.listargetfilenameemptyuseunitoutputdirectory
 msgid "Target file name: (-o, empty = use unit output directory)"
@@ -14555,7 +14559,7 @@
 #: lazarusidestrconsts.listargetos
 msgctxt "lazarusidestrconsts.listargetos"
 msgid "Target OS"
-msgstr "Kohde käyttis"
+msgstr "Kohdekäyttöjärjestelmä"
 
 #: lazarusidestrconsts.listcompilerinternalerror
 msgid "Internal compiler error! (%d)"
@@ -14711,7 +14715,7 @@
 
 #: lazarusidestrconsts.listhefileisnotalazarusprojectcreateanewprojectforthi
 msgid "The file %s%s%s is not a Lazarus project.%sCreate a new project for this %s?"
-msgstr "Tiedosto %s%s%s ei ole Lazarus projekti.%sLuodaanko uusi projekti sille %s?"
+msgstr "Tiedosto %s%s%s ei ole Lazarus-projekti.%sLuodaanko uusi projekti sille %s?"
 
 #: lazarusidestrconsts.listhefilemaskisinvalid
 msgid "The file mask \"%s\" is invalid."
@@ -14727,7 +14731,7 @@
 
 #: lazarusidestrconsts.listhefileseemstobetheprogramfileofanexistinglazarusp
 msgid "The file %s seems to be the program file of an existing Lazarus Project."
-msgstr "Tiedosto %s vaikuttaa Lazarus projektissa olvalta ohjelmatiedostolta."
+msgstr "Tiedosto %s vaikuttaa Lazarus-projektissa olvalta ohjelmatiedostolta."
 
 #: lazarusidestrconsts.listhefilewasfoundinoneofthesourcedirectoriesofthepac
 msgid "The file %s%s%s%swas found in one of the source directories of the package %s and looks like a compiled unit. Compiled units must be in the output directory of the package, otherwise other packages can get problems using this package.%s%sDelete ambiguous file?"
@@ -14751,7 +14755,7 @@
 
 #: lazarusidestrconsts.listhefreepascalcompilerexecutabletypicallyhasthename
 msgid "The Free Pascal compiler executable typically has the name \"%s\". You can also use the target specific compiler like \"%s\". Please give the full file path."
-msgstr "Free Pascal kääntäjän nimi on tyypillisesti \"%s\". Se voi olla myös tietylle kohteelle tehty kääntäjä kuten \"%s\". Anna koko tiedostopolku."
+msgstr "Free Pascal -kääntäjän nimi on tyypillisesti \"%s\". Se voi olla myös tietylle kohteelle tehty kääntäjä kuten \"%s\". Anna koko tiedostopolku."
 
 #: lazarusidestrconsts.listheidentifierisaunitpleaseusethefilesaveasfunction
 msgid "The identifier is a unit. Please use the File - Save as function to rename a unit."
@@ -14771,7 +14775,7 @@
 
 #: lazarusidestrconsts.listhelazarusdirectorycontainsthesourcesoftheideandth
 msgid "The Lazarus directory contains the sources of the IDE and the package files of LCL and many standard packages. For example it contains the file \"ide%slazarus.lpi\". The translation files are located there too."
-msgstr "Lazarus hakemistossa ovat IDEn lähdekoodit sekä LCL:n ja muiden pakettien tiedostot. Siellä on esimerkiksi tiedosto \"ide%slazarus.lpi\". Myös käännöstiedostot ovat siellä."
+msgstr "Lazarus-hakemistossa ovat IDEn lähdekoodit sekä LCL:n ja muiden pakettien tiedostot. Siellä on esimerkiksi tiedosto \"ide%slazarus.lpi\". Myös käännöstiedostot ovat siellä."
 
 #: lazarusidestrconsts.listhelazarusdirectorydoesnotlookcorrect
 msgid "The Lazarus directory \"%s\" does not look correct:%s%s"
@@ -14779,7 +14783,7 @@
 
 #: lazarusidestrconsts.listhelfmlazarusformfilecontainsinvalidpropertiesthis
 msgid "The LFM (Lazarus form) file contains invalid properties. This means for example it contains some properties/classes, which do not exist in the current LCL. The normal fix is to remove these properties from the lfm and fix the Pascal code manually."
-msgstr "LFM (Lazarus lomake) sisältää vääriä ominaisuuksia. Tämä tarkoittaa esim. että jotain luokkaa tai ominaisuutta ei ole LCL-kirjastossa. Normaali korjaus on poistaa nämä ominaisuudet LFM-tiedostosta ja korjata Pascal-koodi käsin."
+msgstr "LFM (Lazarus-lomake) sisältää vääriä ominaisuuksia. Tämä tarkoittaa esim. että jotain luokkaa tai ominaisuutta ei ole LCL-kirjastossa. Normaali korjaus on poistaa nämä ominaisuudet LFM-tiedostosta ja korjata Pascal-koodi käsin."
 
 #: lazarusidestrconsts.listhemacrodoesnotbeginwith
 msgid "The macro \"%s\" does not begin with \"%s\"."
@@ -14921,10 +14925,6 @@
 msgid "There is already a build mode with this name."
 msgstr "Tämänniminen koontamoodi on jo olemaassa."
 
-#: lazarusidestrconsts.listhereisalreadyacomponentclasswiththename
-msgid "There is already a component class with the name %s."
-msgstr ""
-
 #: lazarusidestrconsts.listhereisalreadyacomponentwiththisname
 msgid "There is already a component with this name"
 msgstr "Samanniminen komponentti on jo olemassa"
@@ -14939,7 +14939,7 @@
 
 #: lazarusidestrconsts.listhereisalreadyanidemacrowiththename
 msgid "There is already an IDE macro with the name \"%s\""
-msgstr "On jo \"%s\" niminen IDE makro."
+msgstr "On jo \"%s\" niminen IDE-makro."
 
 #: lazarusidestrconsts.listhereisalreadyapackageinthelist
 msgid "There is already a package %s in the list"
@@ -14979,7 +14979,7 @@
 
 #: lazarusidestrconsts.listherootcomponentcannotbedeleted
 msgid "The root component cannot be deleted."
-msgstr "Juuri-komponenttia ei voi poistaa."
+msgstr "Juurikomponenttia ei voi poistaa."
 
 #: lazarusidestrconsts.listhesefileswillbedeleted
 msgid "These files will be deleted"
@@ -15019,7 +15019,7 @@
 
 #: lazarusidestrconsts.listheunitisnotlowercasethefreepascalcompiler
 msgid "The unit filename %s%s%s is not lowercase.%sThe Free Pascal compiler does not search for all cases. It is recommended to use lowercase filename.%s%sRename file lowercase?"
-msgstr "Käännösyksikön nimi %s%s%s ei ole pienillä kirjaimilla.%sFree Pascal kääntäjä ei etsi kaikkia variaatioita. On suositeltavaa käyttää vain pieniä kirjaimia.%s%sVaihdetaanko tiedoston nimi?"
+msgstr "Käännösyksikön nimi %s%s%s ei ole pienillä kirjaimilla.%sFree Pascal -kääntäjä ei etsi kaikkia variaatioita. On suositeltavaa käyttää vain pieniä kirjaimia.%s%sVaihdetaanko tiedoston nimi?"
 
 #: lazarusidestrconsts.listheunitispartofthefpcsourcesbutthecorrespondingfpd
 msgid "The unit %s is part of the FPC sources, but the corresponding fpdoc xml file was not found.%sEither you have not yet added the fpcdocs directory to the search path or the unit is not yet documented.%sThe fpdoc files for the FPC sources can be downloaded from: %s%sPlease add the directory in the fpdoc editor options.%sIn order to create a new file the directory must be writable."
@@ -15031,7 +15031,7 @@
 
 #: lazarusidestrconsts.listheunititselfhasalreadythenamepascalidentifiersmus
 msgid "The unit itself has already the name %s%s%s. Pascal identifiers must be unique."
-msgstr "Käännösyksikkö on jo nimeltään %s%s%s. Pascal:ssa tunnukset pitää olla yksilöllisiä"
+msgstr "Käännösyksikkö on jo nimeltään %s%s%s. Pascalissa tunnusten pitää olla yksilöllisiä"
 
 #: lazarusidestrconsts.listheunitsearchpathofcontainsthesourcedirectoryofpac
 msgid "The unit search path of %s%s%s contains the source directory %s%s%s of package %s"
@@ -15041,10 +15041,6 @@
 msgid "The working directory %s%s%s does not exist.%sPlease check the working directory in Menu > Run > Run parameters."
 msgstr ""
 
-#: lazarusidestrconsts.listhiscomponentalreadycontainsaclasswiththename
-msgid "This component already contains a class with the name %s."
-msgstr ""
-
 #: lazarusidestrconsts.listhisfunctionneedsanopenlfmfileinthesourceeditor
 msgid "This function needs an open .lfm file in the source editor."
 msgstr "Tämä ominaisuus vaatii .lfm tiedoston avoinna editorissa."
@@ -15059,7 +15055,7 @@
 
 #: lazarusidestrconsts.listhisprojecthasnomainsourcefile
 msgid "This project has no main source file"
-msgstr "Tällä projektilla ei ole pää-lähdekooditiedostoa"
+msgstr "Tällä projektilla ei ole päälähdekooditiedostoa"
 
 #: lazarusidestrconsts.listhisprojecthasonlythedefaultbuildmode
 msgid "This project has only the default build mode."
@@ -15191,7 +15187,7 @@
 
 #: lazarusidestrconsts.listopsiblingcomboboxhint
 msgid "This is the sibling control to which the top side is anchored. Leave empty for parent."
-msgstr "Tämä on naapuri-kontrolli, mihin yläreuna on ankkuroitu. Tyhjä tarkoittaa emo-kontrollia."
+msgstr "Tämä on naapurikontrolli, mihin yläreuna on ankkuroitu. Tyhjä tarkoittaa emokontrollia."
 
 #: lazarusidestrconsts.listopspaceequally
 msgid "Top space equally"
@@ -15374,10 +15370,9 @@
 msgstr "Etsittyä merkkijonoa '%s' ei löydetty!"
 
 #: lazarusidestrconsts.lisuethecurre
-#, fuzzy
 #| msgid "The current editor font does not support UTF-8, but your system seems to use it.%sThat means non ASCII characters will probably be shown incorrect.%sYou can select another font in the editor options."
 msgid "The current editor font does not support UTF-8, but your system seems to use it.%sThat means non ASCII characters will probably be shown incorrectly.%sYou can select another font in the editor options."
-msgstr "Nykyinen editorin kirjaisin ei tue UTF-8 merkistöä, mutta käyttöjärjestelmä tukee sitä. %sTämä merkitsee sitä että ei ASCII merkit voivat näkyä väärin.%sSopivamman kirjaisimen voi valita editorin asetuksista."
+msgstr "Nykyinen editorin kirjasin ei tue UTF-8-merkistöä, mutta käyttöjärjestelmä tukee sitä. %sTämä merkitsee sitä että ei-ASCII merkit voivat näkyä väärin.%sSopivamman kirjasimen voi valita editorin asetuksista."
 
 #: lazarusidestrconsts.lisuiclearincludedbyreference
 msgid "Clear include cache"
@@ -15432,7 +15427,7 @@
 
 #: lazarusidestrconsts.lisunableconvertbinarystreamtotext
 msgid "Unable convert binary stream to text"
-msgstr "Binaari-virran muuttaminen tekstiksi ei onnistu"
+msgstr "Binaarivirran muuttaminen tekstiksi ei onnistu"
 
 #: lazarusidestrconsts.lisunablecopycomponentstoclipboard
 msgid "Unable copy components to clipboard"
@@ -15476,7 +15471,7 @@
 
 #: lazarusidestrconsts.lisunabletocleanupdestinationdirectory
 msgid "Unable to clean up destination directory"
-msgstr "Ei voida siivota kohde hakemistoa"
+msgstr "Ei voida siivota kohdehakemistoa"
 
 #: lazarusidestrconsts.lisunabletocleanuppleasecheckpermissions
 msgid "Unable to clean up %s%s%s.%sPlease check permissions."
@@ -15587,10 +15582,9 @@
 msgstr "Metodia ei löydy."
 
 #: lazarusidestrconsts.lisunabletofindpascalunitpasppforlfmfile
-#, fuzzy
 #| msgid "Unable to find Pascal unit (.pas,.pp) for .lfm file%s%s%s%s"
 msgid "Unable to find Pascal unit (.pas, .pp) for .lfm file%s%s%s%s"
-msgstr "Ei löydy pascal käännösyksikköä (.pas,.pp) .lfm tiedostolle%s%s%s%s"
+msgstr "Ei löydy Pascal-käännösyksikköä (.pas,.pp) .lfm-tiedostolle%s%s%s%s"
 
 #: lazarusidestrconsts.lisunabletofindthecomponentclassitisnotregisteredviar
 msgid "Unable to find the component class \"%s\".%sIt is not registered via RegisterClass and no lfm was found.%sIt is needed by unit:%s%s"
@@ -15708,7 +15702,7 @@
 
 #: lazarusidestrconsts.lisunabletosetanchorsidecontrol
 msgid "Unable to set AnchorSide Control"
-msgstr "Ankkuri-kontrollin asettaminen ei onnistu"
+msgstr "Ankkurikontrollin asettaminen ei onnistu"
 
 #: lazarusidestrconsts.lisunabletoshowmethod
 msgid "Unable to show method."
@@ -15862,7 +15856,7 @@
 
 #: lazarusidestrconsts.lisupdateotherproceduresignatureswhenonlylettercaseha
 msgid "Update other procedure signatures when only letter case has changed"
-msgstr "Päivitä muut aliohjelman määritykset kun vain kirjainten koko on muuttunut"
+msgstr "Päivitä muut aliohjelman määritykset, kun vain kirjainten koko on muuttunut"
 
 #: lazarusidestrconsts.lisupdatereferences
 msgid "Update references?"
@@ -16007,7 +16001,7 @@
 
 #: lazarusidestrconsts.lisverifymethodcalls
 msgid "Verify method calls"
-msgstr "Tarkista metodi kutsut"
+msgstr "Tarkista metodikutsut"
 
 #: lazarusidestrconsts.lisversion
 msgid "Version"
@@ -16053,7 +16047,7 @@
 
 #: lazarusidestrconsts.liswarningthisisthemainunitthenewmainunitwillbepas
 msgid "%sWarning: This is the main unit. The new main unit will be %s.pas."
-msgstr "%sVaroitus: Tämä on pää-käännösyksikkö. Uusi pää-käännösyksikkö tulee olemaan %s.pas."
+msgstr "%sVaroitus: Tämä on pääkäännösyksikkö. Uusi pää-käännösyksikkö tulee olemaan %s.pas."
 
 #: lazarusidestrconsts.liswatch
 msgid "&Watch"
@@ -16178,7 +16172,7 @@
 
 #: lazarusidestrconsts.liswlinspectpane
 msgid "Inspect pane"
-msgstr "Tarkastus-osa"
+msgstr "Tarkastusosa"
 
 #: lazarusidestrconsts.liswlproperties
 msgid "&Properties"
@@ -16218,11 +16212,11 @@
 
 #: lazarusidestrconsts.lisxmlerror
 msgid "XML Error"
-msgstr "XML virhe"
+msgstr "XML-virhe"
 
 #: lazarusidestrconsts.lisxmlfiles
 msgid "XML files"
-msgstr "XML tiedostot"
+msgstr "XML-tiedostot"
 
 #: lazarusidestrconsts.lisxmlparsererrorinfileerror
 msgid "XML parser error in file %s%sError: %s"
@@ -16242,7 +16236,7 @@
 
 #: lazarusidestrconsts.lisyoucannotbuildlazaruswhiledebuggingorcompiling
 msgid "You cannot build Lazarus while debugging or compiling."
-msgstr "Lazarusta ei voi koota kun ohjelmaa ajetaan tai käännetään."
+msgstr "Lazarusta ei voi koota, kun ohjelmaa ajetaan tai käännetään."
 
 #: lazarusidestrconsts.locwndsrceditor
 msgctxt "lazarusidestrconsts.locwndsrceditor"
@@ -16259,11 +16253,11 @@
 
 #: lazarusidestrconsts.lrspldlpkfileinvalid
 msgid "lpk file invalid (%s)"
-msgstr "lpk tiedosto on kelvoton (%s)"
+msgstr "lpk-tiedosto on kelvoton (%s)"
 
 #: lazarusidestrconsts.lrspldlpkfilevalid
 msgid "lpk file valid (%s)"
-msgstr "lpk tiedosto on kelvollinen (%s)"
+msgstr "lpk-tiedosto on kelvollinen (%s)"
 
 #: lazarusidestrconsts.lrspldunabletodeletefile
 msgid "Unable to delete file \"%s\""
@@ -16373,7 +16367,7 @@
 
 #: lazarusidestrconsts.rsi18noptions
 msgid "i18n Options"
-msgstr "Kansainvälisyys-asetukset"
+msgstr "Kansainvälisyysasetukset"
 
 #: lazarusidestrconsts.rsincludeversioninfoinexecutable
 msgid "Include version info in executable"
@@ -16561,7 +16555,7 @@
 
 #: lazarusidestrconsts.rspooutputdirectory
 msgid "PO Output Directory:"
-msgstr "PO kirjoitushakemisto"
+msgstr "PO-kirjoitushakemisto"
 
 #: lazarusidestrconsts.rsresource
 msgid "Resource"
@@ -16610,7 +16604,7 @@
 
 #: lazarusidestrconsts.srkmcatcodetools
 msgid "CodeTools commands"
-msgstr "CodeTools komennot"
+msgstr "CodeTools-komennot"
 
 #: lazarusidestrconsts.srkmcatcolselection
 msgid "Text column selection commands"
@@ -16970,7 +16964,7 @@
 
 #: lazarusidestrconsts.srkmecenvironmentoptions
 msgid "IDE options"
-msgstr "IDE asetukset"
+msgstr "IDE-asetukset"
 
 #: lazarusidestrconsts.srkmecevaluate
 msgid "evaluate/modify"
@@ -17024,11 +17018,11 @@
 
 #: lazarusidestrconsts.srkmecfindoverloads
 msgid "Find Overloads"
-msgstr "Etsi Overload metodit"
+msgstr "Etsi Overload-metodit"
 
 #: lazarusidestrconsts.srkmecfindoverloadscapt
 msgid "Find Overloads ..."
-msgstr "Etsi Overload metodit ..."
+msgstr "Etsi Overload-metodit ..."
 
 #: lazarusidestrconsts.srkmecfindprevious
 msgid "Find Previous"
@@ -17092,7 +17086,7 @@
 
 #: lazarusidestrconsts.srkmecinsertchangelogentry
 msgid "Insert ChangeLog entry"
-msgstr "Lisää muutos-lokiin tapahtuma"
+msgstr "Lisää muutoslokiin tapahtuma"
 
 #: lazarusidestrconsts.srkmecinsertcharacter
 msgid "Insert from Charactermap"
@@ -17140,7 +17134,7 @@
 
 #: lazarusidestrconsts.srkmecinsertgplnotice
 msgid "Insert GPL notice"
-msgstr "Lisää GPL ilmoitus"
+msgstr "Lisää GPL-ilmoitus"
 
 #: lazarusidestrconsts.srkmecinsertguid
 msgid "Insert a GUID"
@@ -17148,7 +17142,7 @@
 
 #: lazarusidestrconsts.srkmecinsertlgplnotice
 msgid "Insert LGPL notice"
-msgstr "Lisää LGPL ilmoitus"
+msgstr "Lisää LGPL-ilmoitus"
 
 #: lazarusidestrconsts.srkmecinsertline
 msgid "Break line, leave cursor"
@@ -17164,7 +17158,7 @@
 
 #: lazarusidestrconsts.srkmecinsertmodifiedlgplnotice
 msgid "Insert modified LGPL notice"
-msgstr "Lisää muokattu LGPL ilmoitus"
+msgstr "Lisää muokattu LGPL-ilmoitus"
 
 #: lazarusidestrconsts.srkmecinsertusername
 msgid "Insert current username"
@@ -18100,7 +18094,7 @@
 
 #: lazarusidestrconsts.uemrefactor
 msgid "Refactoring"
-msgstr "Uudelleen järjestele"
+msgstr "Järjestele uudelleen"
 
 #: lazarusidestrconsts.uemruntocursor
 msgid "&Run to Cursor"
erot2 (76,839 bytes)   

delfion

2013-12-10 07:29

reporter   ~0071847

Joko nyt?

Juha Manninen

2013-12-10 10:54

developer   ~0071850

I applied the patch.
Hyvä, kiitos!

delfion

2014-01-14 19:31

reporter   ~0072433

More minor typos.

delfion

2014-01-14 19:31

reporter  

erot3 (3,063 bytes)   
Index: lazaruside.fi.po
===================================================================
--- lazaruside.fi.po	(revision 43719)
+++ lazaruside.fi.po	(working copy)
@@ -6,7 +6,7 @@
 "Project-Id-Version: \n"
 "POT-Creation-Date: \n"
 "PO-Revision-Date: \n"
-"Last-Translator: Juha Manninen <juha.manninen@phnet.fi>\n"
+"Last-Translator: x <y>\n"
 "Language-Team: \n"
 
  #: lazarusidestrconsts.dlgcocfgcmpmessages
 msgctxt "lazarusidestrconsts.dlgcocfgcmpmessages"
@@ -5818,7 +5818,7 @@
 
 #: lazarusidestrconsts.liscompilerdoesnotsupporttarget
 msgid "Compiler \"%s\" does not support target %s-%s"
-msgstr "Kääntäjä \"%s\" ei tuo kohdetta %s-%s"
+msgstr "Kääntäjä \"%s\" ei tue kohdetta %s-%s"
 
 #: lazarusidestrconsts.liscompilererrorinvalidcompiler
 msgid "Error: invalid compiler: %s"
@@ -13038,7 +13038,7 @@
 
 #: lazarusidestrconsts.lispleaseopenaunitbeforerun
 msgid "Please open a unit before run."
-msgstr "Avaa käänösyksikkö ennen suoritusta."
+msgstr "Avaa käännösyksikkö ennen suoritusta."
 
 #: lazarusidestrconsts.lispleaseselectsomecodetoextractanewproceduremethod
 msgid "Please select some code to extract a new procedure/method."
@@ -13054,7 +13054,7 @@
 
 #: lazarusidestrconsts.lisplistcopymethodtoclipboard
 msgid "Copy method name to the clipboard"
-msgstr "Kopio metodin nimi leikepöydälle"
+msgstr "Kopioi metodin nimi leikepöydälle"
 
 #: lazarusidestrconsts.lisplistfilterany
 msgid "Filter by matching any part of method"
@@ -14329,7 +14329,7 @@
 
 #: lazarusidestrconsts.lissortseldomain
 msgid "Domain"
-msgstr "Lajittelu peruste"
+msgstr "Lajitteluperuste"
 
 #: lazarusidestrconsts.lissortselignorespace
 msgid "Ignore Space"
@@ -15459,7 +15459,7 @@
 
 #: lazarusidestrconsts.lisuishowcodetoolsvalues
 msgid "Show CodeTools Values"
-msgstr "Näytä CodeTools arvot"
+msgstr "Näytä CodeTools-arvot"
 
 #: lazarusidestrconsts.lisunableconvertbinarystreamtotext
 msgid "Unable convert binary stream to text"
@@ -15888,7 +15888,7 @@
 
 #: lazarusidestrconsts.lisupdateinfo
 msgid "Update info"
-msgstr "Päivitä info"
+msgstr "Päivitä tiedot"
 
 #: lazarusidestrconsts.lisupdateotherproceduresignatureswhenonlylettercaseha
 msgid "Update other procedure signatures when only letter case has changed"
@@ -16053,7 +16053,7 @@
 
 #: lazarusidestrconsts.lisvertoclipboard
 msgid "Copy version information to clipboard"
-msgstr "Kopio versiotieto leikepöydälle"
+msgstr "Kopioi versiotieto leikepöydälle"
 
 #: lazarusidestrconsts.lisviewbreakpointproperties
 msgctxt "lazarusidestrconsts.lisviewbreakpointproperties"
@@ -16931,7 +16931,7 @@
 
 #: lazarusidestrconsts.srkmeccopy
 msgid "Copy selection to clipboard"
-msgstr "Kopio valinta leikepöydälle"
+msgstr "Kopioi valinta leikepöydälle"
 
 #: lazarusidestrconsts.srkmeccopyeditornewwindow
 msgid "Copy editor to new window"
@@ -18017,7 +18017,7 @@
 
 #: lazarusidestrconsts.uemcopyfilename
 msgid "Copy Filename"
-msgstr "Kopio tiedoston nimi"
+msgstr "Kopioi tiedoston nimi"
 
 #: lazarusidestrconsts.uemcopytonewwindow
 msgid "Clone to New Window"
erot3 (3,063 bytes)   

Juha Manninen

2014-01-14 20:31

developer   ~0072435

Last edited: 2014-01-14 22:00

View 2 revisions

Please reopen the issue before uploading more patches. Fortunately I noticed this one.

The patch cannot be applied. Please create the patch against the latest trunk revision.

delfion

2014-01-14 23:02

reporter   ~0072447

At revision 43721.

delfion

2014-01-14 23:02

reporter  

erot4 (4,986 bytes)   
Index: lazaruside.fi.po
===================================================================
--- lazaruside.fi.po	(revision 43721)
+++ lazaruside.fi.po	(working copy)
@@ -6,7 +6,7 @@
 "Project-Id-Version: \n"
 "POT-Creation-Date: \n"
 "PO-Revision-Date: \n"
-"Last-Translator: Juha Manninen <juha.manninen@phnet.fi>\n"
+"Last-Translator: x <y>\n"
 "Language-Team: \n"
 
 #: lazarusidestrconsts.dbgbreakgroupdlgcaption
@@ -4474,7 +4474,7 @@
 
 #: lazarusidestrconsts.lisccoppuolderthancompiler
 msgid "There is a .ppu file older than the compiler itself:%s%s"
-msgstr "Löytyi itse kääntäjää vanhempi .ppu tiedosto:%s%s"
+msgstr "Löytyi itse kääntäjää vanhempi .ppu-tiedosto:%s%s"
 
 #: lazarusidestrconsts.lisccoseveralcompilers
 msgid "There are several Free Pascal Compilers in your path.%s%s%sMaybe you forgot to delete an old compiler?"
@@ -5818,7 +5818,7 @@
 
 #: lazarusidestrconsts.liscompilerdoesnotsupporttarget
 msgid "Compiler \"%s\" does not support target %s-%s"
-msgstr "Kääntäjä \"%s\" ei tuo kohdetta %s-%s"
+msgstr "Kääntäjä \"%s\" ei tue kohdetta %s-%s"
 
 #: lazarusidestrconsts.liscompilererrorinvalidcompiler
 msgid "Error: invalid compiler: %s"
@@ -6338,7 +6338,7 @@
 
 #: lazarusidestrconsts.liscoscanformakemessages
 msgid "Scan for Make messages"
-msgstr "Käy läpi Make viestit"
+msgstr "Käy läpi Make-viestit"
 
 #: lazarusidestrconsts.liscoscanformessages
 msgid "Scan for messages:"
@@ -12279,7 +12279,7 @@
 
 #: lazarusidestrconsts.lispckwhentheformissavedtheidecanstoreallttranslatestring
 msgid "When the form is saved, the IDE can store all TTranslateString properties to the package po file. For this you must enable I18N for this package, provide a po output directory and leave this option unchecked."
-msgstr "Kun lomake on talletettu, IDE voi tallentaa kaikki TTranslateString ominaisuudet paketin po tiedostoon. Siksi I18N pitää sallia tälle paketille, antaa po-hakemisto ja jättää tämä asetus ruksaamatta."
+msgstr "Kun lomake on talletettu, IDE voi tallentaa kaikki TTranslateString ominaisuudet paketin po-tiedostoon. Siksi I18N pitää sallia tälle paketille, antaa po-hakemisto ja jättää tämä asetus ruksaamatta."
 
 #: lazarusidestrconsts.lispdabort
 msgctxt "lazarusidestrconsts.lispdabort"
@@ -13054,7 +13054,7 @@
 
 #: lazarusidestrconsts.lisplistcopymethodtoclipboard
 msgid "Copy method name to the clipboard"
-msgstr "Kopio metodin nimi leikepöydälle"
+msgstr "Kopioi metodin nimi leikepöydälle"
 
 #: lazarusidestrconsts.lisplistfilterany
 msgid "Filter by matching any part of method"
@@ -13087,7 +13087,7 @@
 
 #: lazarusidestrconsts.lispochoosepofiledirectory
 msgid "Choose .po file directory"
-msgstr "Valitse .po tiedoston hakemisto"
+msgstr "Valitse .po-tiedoston hakemisto"
 
 #: lazarusidestrconsts.lispodonotsaveanysessioninfo
 msgid "Do not save any session info"
@@ -14329,7 +14329,7 @@
 
 #: lazarusidestrconsts.lissortseldomain
 msgid "Domain"
-msgstr "Lajittelu peruste"
+msgstr "Lajitteluperuste"
 
 #: lazarusidestrconsts.lissortselignorespace
 msgid "Ignore Space"
@@ -14923,7 +14923,7 @@
 
 #: lazarusidestrconsts.listheprojectinfofileisequaltotheprojectmainsource
 msgid "The project info file %s%s%s%sis equal to the project main source file!"
-msgstr "Projektin info tiedosto %s%s%s%son/olisi saman niminen kuin projektin pääohjelman tiedosto!"
+msgstr "Projektin info-tiedosto %s%s%s%son/olisi saman niminen kuin projektin pääohjelman tiedosto!"
 
 #: lazarusidestrconsts.listheprojectinformationfilehaschangedondisk
 msgid "The project information file %s%s%s%shas changed on disk."
@@ -15459,7 +15459,7 @@
 
 #: lazarusidestrconsts.lisuishowcodetoolsvalues
 msgid "Show CodeTools Values"
-msgstr "Näytä CodeTools arvot"
+msgstr "Näytä CodeTools-arvot"
 
 #: lazarusidestrconsts.lisunableconvertbinarystreamtotext
 msgid "Unable convert binary stream to text"
@@ -15888,7 +15888,7 @@
 
 #: lazarusidestrconsts.lisupdateinfo
 msgid "Update info"
-msgstr "Päivitä info"
+msgstr "Päivitä tiedot"
 
 #: lazarusidestrconsts.lisupdateotherproceduresignatureswhenonlylettercaseha
 msgid "Update other procedure signatures when only letter case has changed"
@@ -16053,7 +16053,7 @@
 
 #: lazarusidestrconsts.lisvertoclipboard
 msgid "Copy version information to clipboard"
-msgstr "Kopio versiotieto leikepöydälle"
+msgstr "Kopioi versiotieto leikepöydälle"
 
 #: lazarusidestrconsts.lisviewbreakpointproperties
 msgctxt "lazarusidestrconsts.lisviewbreakpointproperties"
@@ -16931,7 +16931,7 @@
 
 #: lazarusidestrconsts.srkmeccopy
 msgid "Copy selection to clipboard"
-msgstr "Kopio valinta leikepöydälle"
+msgstr "Kopioi valinta leikepöydälle"
 
 #: lazarusidestrconsts.srkmeccopyeditornewwindow
 msgid "Copy editor to new window"
@@ -18017,7 +18017,7 @@
 
 #: lazarusidestrconsts.uemcopyfilename
 msgid "Copy Filename"
-msgstr "Kopio tiedoston nimi"
+msgstr "Kopioi tiedoston nimi"
 
 #: lazarusidestrconsts.uemcopytonewwindow
 msgid "Clone to New Window"
erot4 (4,986 bytes)   

Juha Manninen

2014-01-15 21:39

developer   ~0072470

Applied, thanks.
BTW, 43721 is not in trunk, it must be in the fixes branch. The patch applied anyway.

"Build" sanan käännöksestä vielä: Geany on suomennettu ja käyttää sanaa "koostaa".

Issue History

Date Modified Username Field Change
2013-12-09 13:50 delfion New Issue
2013-12-09 13:50 delfion File Added: lazaruside.fi.po
2013-12-09 14:10 Juha Manninen Assigned To => Juha Manninen
2013-12-09 14:10 Juha Manninen Status new => assigned
2013-12-09 14:20 Juha Manninen LazTarget => -
2013-12-09 14:20 Juha Manninen Note Added: 0071837
2013-12-09 14:20 Juha Manninen Status assigned => feedback
2013-12-09 21:01 delfion Note Added: 0071845
2013-12-09 21:01 delfion Status feedback => assigned
2013-12-09 21:01 delfion File Added: erot
2013-12-09 22:00 Juha Manninen Note Added: 0071846
2013-12-10 07:29 delfion File Added: erot2
2013-12-10 07:29 delfion Note Added: 0071847
2013-12-10 10:54 Juha Manninen Fixed in Revision => r43531
2013-12-10 10:54 Juha Manninen Note Added: 0071850
2013-12-10 10:54 Juha Manninen Status assigned => resolved
2013-12-10 10:54 Juha Manninen Resolution open => fixed
2014-01-14 19:31 delfion Note Added: 0072433
2014-01-14 19:31 delfion File Added: erot3
2014-01-14 20:31 Juha Manninen Note Added: 0072435
2014-01-14 20:31 Juha Manninen Status resolved => assigned
2014-01-14 20:31 Juha Manninen Resolution fixed => reopened
2014-01-14 22:00 Juha Manninen Note Edited: 0072435 View Revisions
2014-01-14 22:01 Juha Manninen Status assigned => feedback
2014-01-14 23:02 delfion Note Added: 0072447
2014-01-14 23:02 delfion Status feedback => assigned
2014-01-14 23:02 delfion File Added: erot4
2014-01-15 21:39 Juha Manninen Fixed in Revision r43531 => r43531, r43729
2014-01-15 21:39 Juha Manninen Note Added: 0072470
2014-01-15 21:39 Juha Manninen Status assigned => resolved
2014-01-15 21:39 Juha Manninen Resolution reopened => fixed